OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.Version11

Contents

- Types
- Enums
- Functions

Description

Synopsis

- type GLbitfield = CUInt
- type GLboolean = CUChar
- type GLbyte = CSChar
- type GLclampd = CDouble
- type GLclampf = CFloat
- type GLdouble = CDouble
- type GLenum = CUInt
- type GLfloat = CFloat
- type GLint = CInt
- type GLshort = CShort
- type GLsizei = CInt
- type GLubyte = CUChar
- type GLuint = CUInt
- type GLushort = CUShort
- type GLvoid = ()
- gl_2D :: GLenum
- gl_2_BYTES :: GLenum
- gl_3D :: GLenum
- gl_3D_COLOR :: GLenum
- gl_3D_COLOR_TEXTURE :: GLenum
- gl_3_BYTES :: GLenum
- gl_4D_COLOR_TEXTURE :: GLenum
- gl_4_BYTES :: GLenum
- gl_ACCUM :: GLenum
- gl_ACCUM_ALPHA_BITS :: GLenum
- gl_ACCUM_BLUE_BITS :: GLenum
- gl_ACCUM_BUFFER_BIT :: GLbitfield
- gl_ACCUM_CLEAR_VALUE :: GLenum
- gl_ACCUM_GREEN_BITS :: GLenum
- gl_ACCUM_RED_BITS :: GLenum
- gl_ADD :: GLenum
- gl_ALL_ATTRIB_BITS :: GLbitfield
- gl_ALPHA :: GLenum
- gl_ALPHA12 :: GLenum
- gl_ALPHA16 :: GLenum
- gl_ALPHA4 :: GLenum
- gl_ALPHA8 :: GLenum
- gl_ALPHA_BIAS :: GLenum
- gl_ALPHA_BITS :: GLenum
- gl_ALPHA_SCALE :: GLenum
- gl_ALPHA_TEST :: GLenum
- gl_ALPHA_TEST_FUNC :: GLenum
- gl_ALPHA_TEST_REF :: GLenum
- gl_ALWAYS :: GLenum
- gl_AMBIENT :: GLenum
- gl_AMBIENT_AND_DIFFUSE :: GLenum
- gl_AND :: GLenum
- gl_AND_INVERTED :: GLenum
- gl_AND_REVERSE :: GLenum
- gl_ATTRIB_STACK_DEPTH :: GLenum
- gl_AUTO_NORMAL :: GLenum
- gl_AUX0 :: GLenum
- gl_AUX1 :: GLenum
- gl_AUX2 :: GLenum
- gl_AUX3 :: GLenum
- gl_AUX_BUFFERS :: GLenum
- gl_BACK :: GLenum
- gl_BACK_LEFT :: GLenum
- gl_BACK_RIGHT :: GLenum
- gl_BITMAP :: GLenum
- gl_BITMAP_TOKEN :: GLenum
- gl_BLEND :: GLenum
- gl_BLEND_DST :: GLenum
- gl_BLEND_SRC :: GLenum
- gl_BLUE :: GLenum
- gl_BLUE_BIAS :: GLenum
- gl_BLUE_BITS :: GLenum
- gl_BLUE_SCALE :: GLenum
- gl_BYTE :: GLenum
- gl_C3F_V3F :: GLenum
- gl_C4F_N3F_V3F :: GLenum
- gl_C4UB_V2F :: GLenum
- gl_C4UB_V3F :: GLenum
- gl_CCW :: GLenum
- gl_CLAMP :: GLenum
- gl_CLEAR :: GLenum
- gl_CLIENT_ALL_ATTRIB_BITS :: GLbitfield
- gl_CLIENT_ATTRIB_STACK_DEPTH :: GLenum
- gl_CLIENT_PIXEL_STORE_BIT :: GLbitfield
- gl_CLIENT_VERTEX_ARRAY_BIT :: GLbitfield
- gl_CLIP_PLANE0 :: GLenum
- gl_CLIP_PLANE1 :: GLenum
- gl_CLIP_PLANE2 :: GLenum
- gl_CLIP_PLANE3 :: GLenum
- gl_CLIP_PLANE4 :: GLenum
- gl_CLIP_PLANE5 :: GLenum
- gl_COEFF :: GLenum
- gl_COLOR :: GLenum
- gl_COLOR_ARRAY :: GLenum
- gl_COLOR_ARRAY_POINTER :: GLenum
- gl_COLOR_ARRAY_SIZE :: GLenum
- gl_COLOR_ARRAY_STRIDE :: GLenum
- gl_COLOR_ARRAY_TYPE :: GLenum
- gl_COLOR_BUFFER_BIT :: GLbitfield
- gl_COLOR_CLEAR_VALUE :: GLenum
- gl_COLOR_INDEX :: GLenum
- gl_COLOR_INDEXES :: GLenum
- gl_COLOR_LOGIC_OP :: GLenum
- gl_COLOR_MATERIAL :: GLenum
- gl_COLOR_MATERIAL_FACE :: GLenum
- gl_COLOR_MATERIAL_PARAMETER :: GLenum
- gl_COLOR_WRITEMASK :: GLenum
- gl_COMPILE :: GLenum
- gl_COMPILE_AND_EXECUTE :: GLenum
- gl_CONSTANT_ATTENUATION :: GLenum
- gl_COPY :: GLenum
- gl_COPY_INVERTED :: GLenum
- gl_COPY_PIXEL_TOKEN :: GLenum
- gl_CULL_FACE :: GLenum
- gl_CULL_FACE_MODE :: GLenum
- gl_CURRENT_BIT :: GLbitfield
- gl_CURRENT_COLOR :: GLenum
- gl_CURRENT_INDEX :: GLenum
- gl_CURRENT_NORMAL :: GLenum
- gl_CURRENT_RASTER_COLOR :: GLenum
- gl_CURRENT_RASTER_DISTANCE :: GLenum
- gl_CURRENT_RASTER_INDEX :: GLenum
- gl_CURRENT_RASTER_POSITION :: GLenum
- gl_CURRENT_RASTER_POSITION_VALID :: GLenum
- gl_CURRENT_RASTER_TEXTURE_COORDS :: GLenum
- gl_CURRENT_TEXTURE_COORDS :: GLenum
- gl_CW :: GLenum
- gl_DECAL :: GLenum
- gl_DECR :: GLenum
- gl_DEPTH :: GLenum
- gl_DEPTH_BIAS :: GLenum
- gl_DEPTH_BITS :: GLenum
- gl_DEPTH_BUFFER_BIT :: GLbitfield
- gl_DEPTH_CLEAR_VALUE :: GLenum
- gl_DEPTH_COMPONENT :: GLenum
- gl_DEPTH_FUNC :: GLenum
- gl_DEPTH_RANGE :: GLenum
- gl_DEPTH_SCALE :: GLenum
- gl_DEPTH_TEST :: GLenum
- gl_DEPTH_WRITEMASK :: GLenum
- gl_DIFFUSE :: GLenum
- gl_DITHER :: GLenum
- gl_DOMAIN :: GLenum
- gl_DONT_CARE :: GLenum
- gl_DOUBLE :: GLenum
- gl_DOUBLEBUFFER :: GLenum
- gl_DRAW_BUFFER :: GLenum
- gl_DRAW_PIXEL_TOKEN :: GLenum
- gl_DST_ALPHA :: GLenum
- gl_DST_COLOR :: GLenum
- gl_EDGE_FLAG :: GLenum
- gl_EDGE_FLAG_ARRAY :: GLenum
- gl_EDGE_FLAG_ARRAY_POINTER :: GLenum
- gl_EDGE_FLAG_ARRAY_STRIDE :: GLenum
- gl_EMISSION :: GLenum
- gl_ENABLE_BIT :: GLbitfield
- gl_EQUAL :: GLenum
- gl_EQUIV :: GLenum
- gl_EVAL_BIT :: GLbitfield
- gl_EXP :: GLenum
- gl_EXP2 :: GLenum
- gl_EXTENSIONS :: GLenum
- gl_EYE_LINEAR :: GLenum
- gl_EYE_PLANE :: GLenum
- gl_FALSE :: GLenum
- gl_FASTEST :: GLenum
- gl_FEEDBACK :: GLenum
- gl_FEEDBACK_BUFFER_POINTER :: GLenum
- gl_FEEDBACK_BUFFER_SIZE :: GLenum
- gl_FEEDBACK_BUFFER_TYPE :: GLenum
- gl_FILL :: GLenum
- gl_FLAT :: GLenum
- gl_FLOAT :: GLenum
- gl_FOG :: GLenum
- gl_FOG_BIT :: GLbitfield
- gl_FOG_COLOR :: GLenum
- gl_FOG_DENSITY :: GLenum
- gl_FOG_END :: GLenum
- gl_FOG_HINT :: GLenum
- gl_FOG_INDEX :: GLenum
- gl_FOG_MODE :: GLenum
- gl_FOG_START :: GLenum
- gl_FRONT :: GLenum
- gl_FRONT_AND_BACK :: GLenum
- gl_FRONT_FACE :: GLenum
- gl_FRONT_LEFT :: GLenum
- gl_FRONT_RIGHT :: GLenum
- gl_GEQUAL :: GLenum
- gl_GREATER :: GLenum
- gl_GREEN :: GLenum
- gl_GREEN_BIAS :: GLenum
- gl_GREEN_BITS :: GLenum
- gl_GREEN_SCALE :: GLenum
- gl_HINT_BIT :: GLbitfield
- gl_INCR :: GLenum
- gl_INDEX_ARRAY :: GLenum
- gl_INDEX_ARRAY_POINTER :: GLenum
- gl_INDEX_ARRAY_STRIDE :: GLenum
- gl_INDEX_ARRAY_TYPE :: GLenum
- gl_INDEX_BITS :: GLenum
- gl_INDEX_CLEAR_VALUE :: GLenum
- gl_INDEX_LOGIC_OP :: GLenum
- gl_INDEX_MODE :: GLenum
- gl_INDEX_OFFSET :: GLenum
- gl_INDEX_SHIFT :: GLenum
- gl_INDEX_WRITEMASK :: GLenum
- gl_INT :: GLenum
- gl_INTENSITY :: GLenum
- gl_INTENSITY12 :: GLenum
- gl_INTENSITY16 :: GLenum
- gl_INTENSITY4 :: GLenum
- gl_INTENSITY8 :: GLenum
- gl_INVALID_ENUM :: GLenum
- gl_INVALID_OPERATION :: GLenum
- gl_INVALID_VALUE :: GLenum
- gl_INVERT :: GLenum
- gl_KEEP :: GLenum
- gl_LEFT :: GLenum
- gl_LEQUAL :: GLenum
- gl_LESS :: GLenum
- gl_LIGHT0 :: GLenum
- gl_LIGHT1 :: GLenum
- gl_LIGHT2 :: GLenum
- gl_LIGHT3 :: GLenum
- gl_LIGHT4 :: GLenum
- gl_LIGHT5 :: GLenum
- gl_LIGHT6 :: GLenum
- gl_LIGHT7 :: GLenum
- gl_LIGHTING :: GLenum
- gl_LIGHTING_BIT :: GLbitfield
- gl_LIGHT_MODEL_AMBIENT :: GLenum
- gl_LIGHT_MODEL_LOCAL_VIEWER :: GLenum
- gl_LIGHT_MODEL_TWO_SIDE :: GLenum
- gl_LINE :: GLenum
- gl_LINEAR :: GLenum
- gl_LINEAR_ATTENUATION :: GLenum
- gl_LINEAR_MIPMAP_LINEAR :: GLenum
- gl_LINEAR_MIPMAP_NEAREST :: GLenum
- gl_LINES :: GLenum
- gl_LINE_BIT :: GLbitfield
- gl_LINE_LOOP :: GLenum
- gl_LINE_RESET_TOKEN :: GLenum
- gl_LINE_SMOOTH :: GLenum
- gl_LINE_SMOOTH_HINT :: GLenum
- gl_LINE_STIPPLE :: GLenum
- gl_LINE_STIPPLE_PATTERN :: GLenum
- gl_LINE_STIPPLE_REPEAT :: GLenum
- gl_LINE_STRIP :: GLenum
- gl_LINE_TOKEN :: GLenum
- gl_LINE_WIDTH :: GLenum
- gl_LINE_WIDTH_GRANULARITY :: GLenum
- gl_LINE_WIDTH_RANGE :: GLenum
- gl_LIST_BASE :: GLenum
- gl_LIST_BIT :: GLbitfield
- gl_LIST_INDEX :: GLenum
- gl_LIST_MODE :: GLenum
- gl_LOAD :: GLenum
- gl_LOGIC_OP :: GLenum
- gl_LOGIC_OP_MODE :: GLenum
- gl_LUMINANCE :: GLenum
- gl_LUMINANCE12 :: GLenum
- gl_LUMINANCE12_ALPHA12 :: GLenum
- gl_LUMINANCE12_ALPHA4 :: GLenum
- gl_LUMINANCE16 :: GLenum
- gl_LUMINANCE16_ALPHA16 :: GLenum
- gl_LUMINANCE4 :: GLenum
- gl_LUMINANCE4_ALPHA4 :: GLenum
- gl_LUMINANCE6_ALPHA2 :: GLenum
- gl_LUMINANCE8 :: GLenum
- gl_LUMINANCE8_ALPHA8 :: GLenum
- gl_LUMINANCE_ALPHA :: GLenum
- gl_MAP1_COLOR_4 :: GLenum
- gl_MAP1_GRID_DOMAIN :: GLenum
- gl_MAP1_GRID_SEGMENTS :: GLenum
- gl_MAP1_INDEX :: GLenum
- gl_MAP1_NORMAL :: GLenum
- gl_MAP1_TEXTURE_COORD_1 :: GLenum
- gl_MAP1_TEXTURE_COORD_2 :: GLenum
- gl_MAP1_TEXTURE_COORD_3 :: GLenum
- gl_MAP1_TEXTURE_COORD_4 :: GLenum
- gl_MAP1_VERTEX_3 :: GLenum
- gl_MAP1_VERTEX_4 :: GLenum
- gl_MAP2_COLOR_4 :: GLenum
- gl_MAP2_GRID_DOMAIN :: GLenum
- gl_MAP2_GRID_SEGMENTS :: GLenum
- gl_MAP2_INDEX :: GLenum
- gl_MAP2_NORMAL :: GLenum
- gl_MAP2_TEXTURE_COORD_1 :: GLenum
- gl_MAP2_TEXTURE_COORD_2 :: GLenum
- gl_MAP2_TEXTURE_COORD_3 :: GLenum
- gl_MAP2_TEXTURE_COORD_4 :: GLenum
- gl_MAP2_VERTEX_3 :: GLenum
- gl_MAP2_VERTEX_4 :: GLenum
- gl_MAP_COLOR :: GLenum
- gl_MAP_STENCIL :: GLenum
- gl_MATRIX_MODE :: GLenum
- gl_MAX_ATTRIB_STACK_DEPTH :: GLenum
- gl_MAX_CLIENT_ATTRIB_STACK_DEPTH :: GLenum
- gl_MAX_CLIP_PLANES :: GLenum
- gl_MAX_EVAL_ORDER :: GLenum
- gl_MAX_LIGHTS :: GLenum
- gl_MAX_LIST_NESTING :: GLenum
- gl_MAX_MODELVIEW_STACK_DEPTH :: GLenum
- gl_MAX_NAME_STACK_DEPTH :: GLenum
- gl_MAX_PIXEL_MAP_TABLE :: GLenum
- gl_MAX_PROJECTION_STACK_DEPTH :: GLenum
- gl_MAX_TEXTURE_SIZE :: GLenum
- gl_MAX_TEXTURE_STACK_DEPTH :: GLenum
- gl_MAX_VIEWPORT_DIMS :: GLenum
- gl_MODELVIEW :: GLenum
- gl_MODELVIEW_MATRIX :: GLenum
- gl_MODELVIEW_STACK_DEPTH :: GLenum
- gl_MODULATE :: GLenum
- gl_MULT :: GLenum
- gl_N3F_V3F :: GLenum
- gl_NAME_STACK_DEPTH :: GLenum
- gl_NAND :: GLenum
- gl_NEAREST :: GLenum
- gl_NEAREST_MIPMAP_LINEAR :: GLenum
- gl_NEAREST_MIPMAP_NEAREST :: GLenum
- gl_NEVER :: GLenum
- gl_NICEST :: GLenum
- gl_NONE :: GLenum
- gl_NOOP :: GLenum
- gl_NOR :: GLenum
- gl_NORMALIZE :: GLenum
- gl_NORMAL_ARRAY :: GLenum
- gl_NORMAL_ARRAY_POINTER :: GLenum
- gl_NORMAL_ARRAY_STRIDE :: GLenum
- gl_NORMAL_ARRAY_TYPE :: GLenum
- gl_NOTEQUAL :: GLenum
- gl_NO_ERROR :: GLenum
- gl_OBJECT_LINEAR :: GLenum
- gl_OBJECT_PLANE :: GLenum
- gl_ONE :: GLenum
- gl_ONE_MINUS_DST_ALPHA :: GLenum
- gl_ONE_MINUS_DST_COLOR :: GLenum
- gl_ONE_MINUS_SRC_ALPHA :: GLenum
- gl_ONE_MINUS_SRC_COLOR :: GLenum
- gl_OR :: GLenum
- gl_ORDER :: GLenum
- gl_OR_INVERTED :: GLenum
- gl_OR_REVERSE :: GLenum
- gl_OUT_OF_MEMORY :: GLenum
- gl_PACK_ALIGNMENT :: GLenum
- gl_PACK_LSB_FIRST :: GLenum
- gl_PACK_ROW_LENGTH :: GLenum
- gl_PACK_SKIP_PIXELS :: GLenum
- gl_PACK_SKIP_ROWS :: GLenum
- gl_PACK_SWAP_BYTES :: GLenum
- gl_PASS_THROUGH_TOKEN :: GLenum
- gl_PERSPECTIVE_CORRECTION_HINT :: GLenum
- gl_PIXEL_MAP_A_TO_A :: GLenum
- gl_PIXEL_MAP_A_TO_A_SIZE :: GLenum
- gl_PIXEL_MAP_B_TO_B :: GLenum
- gl_PIXEL_MAP_B_TO_B_SIZE :: GLenum
- gl_PIXEL_MAP_G_TO_G :: GLenum
- gl_PIXEL_MAP_G_TO_G_SIZE :: GLenum
- gl_PIXEL_MAP_I_TO_A :: GLenum
- gl_PIXEL_MAP_I_TO_A_SIZE :: GLenum
- gl_PIXEL_MAP_I_TO_B :: GLenum
- gl_PIXEL_MAP_I_TO_B_SIZE :: GLenum
- gl_PIXEL_MAP_I_TO_G :: GLenum
- gl_PIXEL_MAP_I_TO_G_SIZE :: GLenum
- gl_PIXEL_MAP_I_TO_I :: GLenum
- gl_PIXEL_MAP_I_TO_I_SIZE :: GLenum
- gl_PIXEL_MAP_I_TO_R :: GLenum
- gl_PIXEL_MAP_I_TO_R_SIZE :: GLenum
- gl_PIXEL_MAP_R_TO_R :: GLenum
- gl_PIXEL_MAP_R_TO_R_SIZE :: GLenum
- gl_PIXEL_MAP_S_TO_S :: GLenum
- gl_PIXEL_MAP_S_TO_S_SIZE :: GLenum
- gl_PIXEL_MODE_BIT :: GLbitfield
- gl_POINT :: GLenum
- gl_POINTS :: GLenum
- gl_POINT_BIT :: GLbitfield
- gl_POINT_SIZE :: GLenum
- gl_POINT_SIZE_GRANULARITY :: GLenum
- gl_POINT_SIZE_RANGE :: GLenum
- gl_POINT_SMOOTH :: GLenum
- gl_POINT_SMOOTH_HINT :: GLenum
- gl_POINT_TOKEN :: GLenum
- gl_POLYGON :: GLenum
- gl_POLYGON_BIT :: GLbitfield
- gl_POLYGON_MODE :: GLenum
- gl_POLYGON_OFFSET_FACTOR :: GLenum
- gl_POLYGON_OFFSET_FILL :: GLenum
- gl_POLYGON_OFFSET_LINE :: GLenum
- gl_POLYGON_OFFSET_POINT :: GLenum
- gl_POLYGON_OFFSET_UNITS :: GLenum
- gl_POLYGON_SMOOTH :: GLenum
- gl_POLYGON_SMOOTH_HINT :: GLenum
- gl_POLYGON_STIPPLE :: GLenum
- gl_POLYGON_STIPPLE_BIT :: GLbitfield
- gl_POLYGON_TOKEN :: GLenum
- gl_POSITION :: GLenum
- gl_PROJECTION :: GLenum
- gl_PROJECTION_MATRIX :: GLenum
- gl_PROJECTION_STACK_DEPTH :: GLenum
- gl_PROXY_TEXTURE_1D :: GLenum
- gl_PROXY_TEXTURE_2D :: GLenum
- gl_Q :: GLenum
- gl_QUADRATIC_ATTENUATION :: GLenum
- gl_QUADS :: GLenum
- gl_QUAD_STRIP :: GLenum
- gl_R :: GLenum
- gl_R3_G3_B2 :: GLenum
- gl_READ_BUFFER :: GLenum
- gl_RED :: GLenum
- gl_RED_BIAS :: GLenum
- gl_RED_BITS :: GLenum
- gl_RED_SCALE :: GLenum
- gl_RENDER :: GLenum
- gl_RENDERER :: GLenum
- gl_RENDER_MODE :: GLenum
- gl_REPEAT :: GLenum
- gl_REPLACE :: GLenum
- gl_RETURN :: GLenum
- gl_RGB :: GLenum
- gl_RGB10 :: GLenum
- gl_RGB10_A2 :: GLenum
- gl_RGB12 :: GLenum
- gl_RGB16 :: GLenum
- gl_RGB4 :: GLenum
- gl_RGB5 :: GLenum
- gl_RGB5_A1 :: GLenum
- gl_RGB8 :: GLenum
- gl_RGBA :: GLenum
- gl_RGBA12 :: GLenum
- gl_RGBA16 :: GLenum
- gl_RGBA2 :: GLenum
- gl_RGBA4 :: GLenum
- gl_RGBA8 :: GLenum
- gl_RGBA_MODE :: GLenum
- gl_RIGHT :: GLenum
- gl_S :: GLenum
- gl_SCISSOR_BIT :: GLbitfield
- gl_SCISSOR_BOX :: GLenum
- gl_SCISSOR_TEST :: GLenum
- gl_SELECT :: GLenum
- gl_SELECTION_BUFFER_POINTER :: GLenum
- gl_SELECTION_BUFFER_SIZE :: GLenum
- gl_SET :: GLenum
- gl_SHADE_MODEL :: GLenum
- gl_SHININESS :: GLenum
- gl_SHORT :: GLenum
- gl_SMOOTH :: GLenum
- gl_SPECULAR :: GLenum
- gl_SPHERE_MAP :: GLenum
- gl_SPOT_CUTOFF :: GLenum
- gl_SPOT_DIRECTION :: GLenum
- gl_SPOT_EXPONENT :: GLenum
- gl_SRC_ALPHA :: GLenum
- gl_SRC_ALPHA_SATURATE :: GLenum
- gl_SRC_COLOR :: GLenum
- gl_STACK_OVERFLOW :: GLenum
- gl_STACK_UNDERFLOW :: GLenum
- gl_STENCIL :: GLenum
- gl_STENCIL_BITS :: GLenum
- gl_STENCIL_BUFFER_BIT :: GLbitfield
- gl_STENCIL_CLEAR_VALUE :: GLenum
- gl_STENCIL_FAIL :: GLenum
- gl_STENCIL_FUNC :: GLenum
- gl_STENCIL_INDEX :: GLenum
- gl_STENCIL_PASS_DEPTH_FAIL :: GLenum
- gl_STENCIL_PASS_DEPTH_PASS :: GLenum
- gl_STENCIL_REF :: GLenum
- gl_STENCIL_TEST :: GLenum
- gl_STENCIL_VALUE_MASK :: GLenum
- gl_STENCIL_WRITEMASK :: GLenum
- gl_STEREO :: GLenum
- gl_SUBPIXEL_BITS :: GLenum
- gl_T :: GLenum
- gl_T2F_C3F_V3F :: GLenum
- gl_T2F_C4F_N3F_V3F :: GLenum
- gl_T2F_C4UB_V3F :: GLenum
- gl_T2F_N3F_V3F :: GLenum
- gl_T2F_V3F :: GLenum
- gl_T4F_C4F_N3F_V4F :: GLenum
- gl_T4F_V4F :: GLenum
- gl_TEXTURE :: GLenum
- gl_TEXTURE_1D :: GLenum
- gl_TEXTURE_2D :: GLenum
- gl_TEXTURE_ALPHA_SIZE :: GLenum
- gl_TEXTURE_BINDING_1D :: GLenum
- gl_TEXTURE_BINDING_2D :: GLenum
- gl_TEXTURE_BIT :: GLbitfield
- gl_TEXTURE_BLUE_SIZE :: GLenum
- gl_TEXTURE_BORDER :: GLenum
- gl_TEXTURE_BORDER_COLOR :: GLenum
- gl_TEXTURE_COMPONENTS :: GLenum
- gl_TEXTURE_COORD_ARRAY :: GLenum
- gl_TEXTURE_COORD_ARRAY_POINTER :: GLenum
- gl_TEXTURE_COORD_ARRAY_SIZE :: GLenum
- gl_TEXTURE_COORD_ARRAY_STRIDE :: GLenum
- gl_TEXTURE_COORD_ARRAY_TYPE :: GLenum
- gl_TEXTURE_ENV :: GLenum
- gl_TEXTURE_ENV_COLOR :: GLenum
- gl_TEXTURE_ENV_MODE :: GLenum
- gl_TEXTURE_GEN_MODE :: GLenum
- gl_TEXTURE_GEN_Q :: GLenum
- gl_TEXTURE_GEN_R :: GLenum
- gl_TEXTURE_GEN_S :: GLenum
- gl_TEXTURE_GEN_T :: GLenum
- gl_TEXTURE_GREEN_SIZE :: GLenum
- gl_TEXTURE_HEIGHT :: GLenum
- gl_TEXTURE_INTENSITY_SIZE :: GLenum
- gl_TEXTURE_INTERNAL_FORMAT :: GLenum
- gl_TEXTURE_LUMINANCE_SIZE :: GLenum
- gl_TEXTURE_MAG_FILTER :: GLenum
- gl_TEXTURE_MATRIX :: GLenum
- gl_TEXTURE_MIN_FILTER :: GLenum
- gl_TEXTURE_PRIORITY :: GLenum
- gl_TEXTURE_RED_SIZE :: GLenum
- gl_TEXTURE_RESIDENT :: GLenum
- gl_TEXTURE_STACK_DEPTH :: GLenum
- gl_TEXTURE_WIDTH :: GLenum
- gl_TEXTURE_WRAP_S :: GLenum
- gl_TEXTURE_WRAP_T :: GLenum
- gl_TRANSFORM_BIT :: GLbitfield
- gl_TRIANGLES :: GLenum
- gl_TRIANGLE_FAN :: GLenum
- gl_TRIANGLE_STRIP :: GLenum
- gl_TRUE :: GLenum
- gl_UNPACK_ALIGNMENT :: GLenum
- gl_UNPACK_LSB_FIRST :: GLenum
- gl_UNPACK_ROW_LENGTH :: GLenum
- gl_UNPACK_SKIP_PIXELS :: GLenum
- gl_UNPACK_SKIP_ROWS :: GLenum
- gl_UNPACK_SWAP_BYTES :: GLenum
- gl_UNSIGNED_BYTE :: GLenum
- gl_UNSIGNED_INT :: GLenum
- gl_UNSIGNED_SHORT :: GLenum
- gl_V2F :: GLenum
- gl_V3F :: GLenum
- gl_VENDOR :: GLenum
- gl_VERSION :: GLenum
- gl_VERTEX_ARRAY :: GLenum
- gl_VERTEX_ARRAY_POINTER :: GLenum
- gl_VERTEX_ARRAY_SIZE :: GLenum
- gl_VERTEX_ARRAY_STRIDE :: GLenum
- gl_VERTEX_ARRAY_TYPE :: GLenum
- gl_VIEWPORT :: GLenum
- gl_VIEWPORT_BIT :: GLbitfield
- gl_XOR :: GLenum
- gl_ZERO :: GLenum
- gl_ZOOM_X :: GLenum
- gl_ZOOM_Y :: GLenum
- glAccum :: MonadIO m => GLenum -> GLfloat -> m ()
- glAlphaFunc :: MonadIO m => GLenum -> GLfloat -> m ()
- glAreTexturesResident :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLboolean -> m GLboolean
- glArrayElement :: MonadIO m => GLint -> m ()
- glBegin :: MonadIO m => GLenum -> m ()
- glBindTexture :: MonadIO m => GLenum -> GLuint -> m ()
- glBitmap :: MonadIO m => GLsizei -> GLsizei -> GLfloat -> GLfloat -> GLfloat -> GLfloat -> Ptr GLubyte -> m ()
- glBlendFunc :: MonadIO m => GLenum -> GLenum -> m ()
- glCallList :: MonadIO m => GLuint -> m ()
- glCallLists :: MonadIO m => GLsizei -> GLenum -> Ptr a -> m ()
- glClear :: MonadIO m => GLbitfield -> m ()
- glClearAccum :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glClearColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glClearDepth :: MonadIO m => GLdouble -> m ()
- glClearIndex :: MonadIO m => GLfloat -> m ()
- glClearStencil :: MonadIO m => GLint -> m ()
- glClipPlane :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glColor3b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glColor3bv :: MonadIO m => Ptr GLbyte -> m ()
- glColor3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glColor3dv :: MonadIO m => Ptr GLdouble -> m ()
- glColor3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glColor3fv :: MonadIO m => Ptr GLfloat -> m ()
- glColor3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glColor3iv :: MonadIO m => Ptr GLint -> m ()
- glColor3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glColor3sv :: MonadIO m => Ptr GLshort -> m ()
- glColor3ub :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> m ()
- glColor3ubv :: MonadIO m => Ptr GLubyte -> m ()
- glColor3ui :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glColor3uiv :: MonadIO m => Ptr GLuint -> m ()
- glColor3us :: MonadIO m => GLushort -> GLushort -> GLushort -> m ()
- glColor3usv :: MonadIO m => Ptr GLushort -> m ()
- glColor4b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> GLbyte -> m ()
- glColor4bv :: MonadIO m => Ptr GLbyte -> m ()
- glColor4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glColor4dv :: MonadIO m => Ptr GLdouble -> m ()
- glColor4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glColor4fv :: MonadIO m => Ptr GLfloat -> m ()
- glColor4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glColor4iv :: MonadIO m => Ptr GLint -> m ()
- glColor4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glColor4sv :: MonadIO m => Ptr GLshort -> m ()
- glColor4ub :: MonadIO m => GLubyte -> GLubyte -> GLubyte -> GLubyte -> m ()
- glColor4ubv :: MonadIO m => Ptr GLubyte -> m ()
- glColor4ui :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glColor4uiv :: MonadIO m => Ptr GLuint -> m ()
- glColor4us :: MonadIO m => GLushort -> GLushort -> GLushort -> GLushort -> m ()
- glColor4usv :: MonadIO m => Ptr GLushort -> m ()
- glColorMask :: MonadIO m => GLboolean -> GLboolean -> GLboolean -> GLboolean -> m ()
- glColorMaterial :: MonadIO m => GLenum -> GLenum -> m ()
- glColorPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glCopyPixels :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> m ()
- glCopyTexImage1D :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> m ()
- glCopyTexImage2D :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> m ()
- glCopyTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCullFace :: MonadIO m => GLenum -> m ()
- glDeleteLists :: MonadIO m => GLuint -> GLsizei -> m ()
- glDeleteTextures :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDepthFunc :: MonadIO m => GLenum -> m ()
- glDepthMask :: MonadIO m => GLboolean -> m ()
- glDepthRange :: MonadIO m => GLdouble -> GLdouble -> m ()
- glDisable :: MonadIO m => GLenum -> m ()
- glDisableClientState :: MonadIO m => GLenum -> m ()
- glDrawArrays :: MonadIO m => GLenum -> GLint -> GLsizei -> m ()
- glDrawBuffer :: MonadIO m => GLenum -> m ()
- glDrawElements :: MonadIO m => GLenum -> GLsizei -> GLenum -> Ptr a -> m ()
- glDrawPixels :: MonadIO m => GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glEdgeFlag :: MonadIO m => GLboolean -> m ()
- glEdgeFlagPointer :: MonadIO m => GLsizei -> Ptr a -> m ()
- glEdgeFlagv :: MonadIO m => Ptr GLboolean -> m ()
- glEnable :: MonadIO m => GLenum -> m ()
- glEnableClientState :: MonadIO m => GLenum -> m ()
- glEnd :: MonadIO m => m ()
- glEndList :: MonadIO m => m ()
- glEvalCoord1d :: MonadIO m => GLdouble -> m ()
- glEvalCoord1dv :: MonadIO m => Ptr GLdouble -> m ()
- glEvalCoord1f :: MonadIO m => GLfloat -> m ()
- glEvalCoord1fv :: MonadIO m => Ptr GLfloat -> m ()
- glEvalCoord2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glEvalCoord2dv :: MonadIO m => Ptr GLdouble -> m ()
- glEvalCoord2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glEvalCoord2fv :: MonadIO m => Ptr GLfloat -> m ()
- glEvalMesh1 :: MonadIO m => GLenum -> GLint -> GLint -> m ()
- glEvalMesh2 :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> m ()
- glEvalPoint1 :: MonadIO m => GLint -> m ()
- glEvalPoint2 :: MonadIO m => GLint -> GLint -> m ()
- glFeedbackBuffer :: MonadIO m => GLsizei -> GLenum -> Ptr GLfloat -> m ()
- glFinish :: MonadIO m => m ()
- glFlush :: MonadIO m => m ()
- glFogf :: MonadIO m => GLenum -> GLfloat -> m ()
- glFogfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glFogi :: MonadIO m => GLenum -> GLint -> m ()
- glFogiv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glFrontFace :: MonadIO m => GLenum -> m ()
- glFrustum :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glGenLists :: MonadIO m => GLsizei -> m GLuint
- glGenTextures :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetBooleanv :: MonadIO m => GLenum -> Ptr GLboolean -> m ()
- glGetClipPlane :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glGetDoublev :: MonadIO m => GLenum -> Ptr GLdouble -> m ()
- glGetError :: MonadIO m => m GLenum
- glGetFloatv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetIntegerv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glGetLightfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetLightiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMapdv :: MonadIO m => GLenum -> GLenum -> Ptr GLdouble -> m ()
- glGetMapfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMapiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMaterialfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMaterialiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetPixelMapfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glGetPixelMapuiv :: MonadIO m => GLenum -> Ptr GLuint -> m ()
- glGetPixelMapusv :: MonadIO m => GLenum -> Ptr GLushort -> m ()
- glGetPointerv :: MonadIO m => GLenum -> Ptr (Ptr a) -> m ()
- glGetPolygonStipple :: MonadIO m => Ptr GLubyte -> m ()
- glGetString :: MonadIO m => GLenum -> m (Ptr GLubyte)
- glGetTexEnvfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexEnviv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexGendv :: MonadIO m => GLenum -> GLenum -> Ptr GLdouble -> m ()
- glGetTexGenfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexGeniv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexImage :: MonadIO m => GLenum -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glGetTexLevelParameterfv :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetTexLevelParameteriv :: MonadIO m => GLenum -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetTexParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetTexParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glHint :: MonadIO m => GLenum -> GLenum -> m ()
- glIndexMask :: MonadIO m => GLuint -> m ()
- glIndexPointer :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glIndexd :: MonadIO m => GLdouble -> m ()
- glIndexdv :: MonadIO m => Ptr GLdouble -> m ()
- glIndexf :: MonadIO m => GLfloat -> m ()
- glIndexfv :: MonadIO m => Ptr GLfloat -> m ()
- glIndexi :: MonadIO m => GLint -> m ()
- glIndexiv :: MonadIO m => Ptr GLint -> m ()
- glIndexs :: MonadIO m => GLshort -> m ()
- glIndexsv :: MonadIO m => Ptr GLshort -> m ()
- glIndexub :: MonadIO m => GLubyte -> m ()
- glIndexubv :: MonadIO m => Ptr GLubyte -> m ()
- glInitNames :: MonadIO m => m ()
- glInterleavedArrays :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glIsEnabled :: MonadIO m => GLenum -> m GLboolean
- glIsList :: MonadIO m => GLuint -> m GLboolean
- glIsTexture :: MonadIO m => GLuint -> m GLboolean
- glLightModelf :: MonadIO m => GLenum -> GLfloat -> m ()
- glLightModelfv :: MonadIO m => GLenum -> Ptr GLfloat -> m ()
- glLightModeli :: MonadIO m => GLenum -> GLint -> m ()
- glLightModeliv :: MonadIO m => GLenum -> Ptr GLint -> m ()
- glLightf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glLightfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glLighti :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glLightiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glLineStipple :: MonadIO m => GLint -> GLushort -> m ()
- glLineWidth :: MonadIO m => GLfloat -> m ()
- glListBase :: MonadIO m => GLuint -> m ()
- glLoadIdentity :: MonadIO m => m ()
- glLoadMatrixd :: MonadIO m => Ptr GLdouble -> m ()
- glLoadMatrixf :: MonadIO m => Ptr GLfloat -> m ()
- glLoadName :: MonadIO m => GLuint -> m ()
- glLogicOp :: MonadIO m => GLenum -> m ()
- glMap1d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glMap1f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()
- glMap2d :: MonadIO m => GLenum -> GLdouble -> GLdouble -> GLint -> GLint -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glMap2f :: MonadIO m => GLenum -> GLfloat -> GLfloat -> GLint -> GLint -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()
- glMapGrid1d :: MonadIO m => GLint -> GLdouble -> GLdouble -> m ()
- glMapGrid1f :: MonadIO m => GLint -> GLfloat -> GLfloat -> m ()
- glMapGrid2d :: MonadIO m => GLint -> GLdouble -> GLdouble -> GLint -> GLdouble -> GLdouble -> m ()
- glMapGrid2f :: MonadIO m => GLint -> GLfloat -> GLfloat -> GLint -> GLfloat -> GLfloat -> m ()
- glMaterialf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glMaterialfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glMateriali :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glMaterialiv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glMatrixMode :: MonadIO m => GLenum -> m ()
- glMultMatrixd :: MonadIO m => Ptr GLdouble -> m ()
- glMultMatrixf :: MonadIO m => Ptr GLfloat -> m ()
- glNewList :: MonadIO m => GLuint -> GLenum -> m ()
- glNormal3b :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glNormal3bv :: MonadIO m => Ptr GLbyte -> m ()
- glNormal3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glNormal3dv :: MonadIO m => Ptr GLdouble -> m ()
- glNormal3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glNormal3fv :: MonadIO m => Ptr GLfloat -> m ()
- glNormal3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glNormal3iv :: MonadIO m => Ptr GLint -> m ()
- glNormal3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glNormal3sv :: MonadIO m => Ptr GLshort -> m ()
- glNormalPointer :: MonadIO m => GLenum -> GLsizei -> Ptr a -> m ()
- glOrtho :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glPassThrough :: MonadIO m => GLfloat -> m ()
- glPixelMapfv :: MonadIO m => GLenum -> GLsizei -> Ptr GLfloat -> m ()
- glPixelMapuiv :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glPixelMapusv :: MonadIO m => GLenum -> GLsizei -> Ptr GLushort -> m ()
- glPixelStoref :: MonadIO m => GLenum -> GLfloat -> m ()
- glPixelStorei :: MonadIO m => GLenum -> GLint -> m ()
- glPixelTransferf :: MonadIO m => GLenum -> GLfloat -> m ()
- glPixelTransferi :: MonadIO m => GLenum -> GLint -> m ()
- glPixelZoom :: MonadIO m => GLfloat -> GLfloat -> m ()
- glPointSize :: MonadIO m => GLfloat -> m ()
- glPolygonMode :: MonadIO m => GLenum -> GLenum -> m ()
- glPolygonOffset :: MonadIO m => GLfloat -> GLfloat -> m ()
- glPolygonStipple :: MonadIO m => Ptr GLubyte -> m ()
- glPopAttrib :: MonadIO m => m ()
- glPopClientAttrib :: MonadIO m => m ()
- glPopMatrix :: MonadIO m => m ()
- glPopName :: MonadIO m => m ()
- glPrioritizeTextures :: MonadIO m => GLsizei -> Ptr GLuint -> Ptr GLfloat -> m ()
- glPushAttrib :: MonadIO m => GLbitfield -> m ()
- glPushClientAttrib :: MonadIO m => GLbitfield -> m ()
- glPushMatrix :: MonadIO m => m ()
- glPushName :: MonadIO m => GLuint -> m ()
- glRasterPos2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glRasterPos2dv :: MonadIO m => Ptr GLdouble -> m ()
- glRasterPos2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glRasterPos2fv :: MonadIO m => Ptr GLfloat -> m ()
- glRasterPos2i :: MonadIO m => GLint -> GLint -> m ()
- glRasterPos2iv :: MonadIO m => Ptr GLint -> m ()
- glRasterPos2s :: MonadIO m => GLshort -> GLshort -> m ()
- glRasterPos2sv :: MonadIO m => Ptr GLshort -> m ()
- glRasterPos3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glRasterPos3dv :: MonadIO m => Ptr GLdouble -> m ()
- glRasterPos3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glRasterPos3fv :: MonadIO m => Ptr GLfloat -> m ()
- glRasterPos3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glRasterPos3iv :: MonadIO m => Ptr GLint -> m ()
- glRasterPos3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glRasterPos3sv :: MonadIO m => Ptr GLshort -> m ()
- glRasterPos4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glRasterPos4dv :: MonadIO m => Ptr GLdouble -> m ()
- glRasterPos4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glRasterPos4fv :: MonadIO m => Ptr GLfloat -> m ()
- glRasterPos4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glRasterPos4iv :: MonadIO m => Ptr GLint -> m ()
- glRasterPos4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glRasterPos4sv :: MonadIO m => Ptr GLshort -> m ()
- glReadBuffer :: MonadIO m => GLenum -> m ()
- glReadPixels :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glRectd :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glRectdv :: MonadIO m => Ptr GLdouble -> Ptr GLdouble -> m ()
- glRectf :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glRectfv :: MonadIO m => Ptr GLfloat -> Ptr GLfloat -> m ()
- glRecti :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glRectiv :: MonadIO m => Ptr GLint -> Ptr GLint -> m ()
- glRects :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glRectsv :: MonadIO m => Ptr GLshort -> Ptr GLshort -> m ()
- glRenderMode :: MonadIO m => GLenum -> m GLint
- glRotated :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glRotatef :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glScaled :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glScalef :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glScissor :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glSelectBuffer :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glShadeModel :: MonadIO m => GLenum -> m ()
- glStencilFunc :: MonadIO m => GLenum -> GLint -> GLuint -> m ()
- glStencilMask :: MonadIO m => GLuint -> m ()
- glStencilOp :: MonadIO m => GLenum -> GLenum -> GLenum -> m ()
- glTexCoord1d :: MonadIO m => GLdouble -> m ()
- glTexCoord1dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord1f :: MonadIO m => GLfloat -> m ()
- glTexCoord1fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord1i :: MonadIO m => GLint -> m ()
- glTexCoord1iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord1s :: MonadIO m => GLshort -> m ()
- glTexCoord1sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoord2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glTexCoord2dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glTexCoord2fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord2i :: MonadIO m => GLint -> GLint -> m ()
- glTexCoord2iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord2s :: MonadIO m => GLshort -> GLshort -> m ()
- glTexCoord2sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoord3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glTexCoord3dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord3fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glTexCoord3iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glTexCoord3sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoord4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glTexCoord4dv :: MonadIO m => Ptr GLdouble -> m ()
- glTexCoord4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glTexCoord4fv :: MonadIO m => Ptr GLfloat -> m ()
- glTexCoord4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glTexCoord4iv :: MonadIO m => Ptr GLint -> m ()
- glTexCoord4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glTexCoord4sv :: MonadIO m => Ptr GLshort -> m ()
- glTexCoordPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glTexEnvf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexEnvfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexEnvi :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexEnviv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexGend :: MonadIO m => GLenum -> GLenum -> GLdouble -> m ()
- glTexGendv :: MonadIO m => GLenum -> GLenum -> Ptr GLdouble -> m ()
- glTexGenf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexGenfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexGeni :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexGeniv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> GLenum -> GLenum -> Ptr a -> m ()
- glTexParameterf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glTexParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glTexParameteri :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glTexParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexSubImage1D :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTexSubImage2D :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTranslated :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glTranslatef :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glVertex2d :: MonadIO m => GLdouble -> GLdouble -> m ()
- glVertex2dv :: MonadIO m => Ptr GLdouble -> m ()
- glVertex2f :: MonadIO m => GLfloat -> GLfloat -> m ()
- glVertex2fv :: MonadIO m => Ptr GLfloat -> m ()
- glVertex2i :: MonadIO m => GLint -> GLint -> m ()
- glVertex2iv :: MonadIO m => Ptr GLint -> m ()
- glVertex2s :: MonadIO m => GLshort -> GLshort -> m ()
- glVertex2sv :: MonadIO m => Ptr GLshort -> m ()
- glVertex3d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> m ()
- glVertex3dv :: MonadIO m => Ptr GLdouble -> m ()
- glVertex3f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> m ()
- glVertex3fv :: MonadIO m => Ptr GLfloat -> m ()
- glVertex3i :: MonadIO m => GLint -> GLint -> GLint -> m ()
- glVertex3iv :: MonadIO m => Ptr GLint -> m ()
- glVertex3s :: MonadIO m => GLshort -> GLshort -> GLshort -> m ()
- glVertex3sv :: MonadIO m => Ptr GLshort -> m ()
- glVertex4d :: MonadIO m => GLdouble -> GLdouble -> GLdouble -> GLdouble -> m ()
- glVertex4dv :: MonadIO m => Ptr GLdouble -> m ()
- glVertex4f :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glVertex4fv :: MonadIO m => Ptr GLfloat -> m ()
- glVertex4i :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glVertex4iv :: MonadIO m => Ptr GLint -> m ()
- glVertex4s :: MonadIO m => GLshort -> GLshort -> GLshort -> GLshort -> m ()
- glVertex4sv :: MonadIO m => Ptr GLshort -> m ()
- glVertexPointer :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glViewport :: MonadIO m => GLint -> GLint -> GLsizei -> GLsizei -> m ()

# Types

type GLbitfield = CUInt

32bit bit field.

type GLboolean = CUChar

8bit boolean.

type GLbyte = CSChar

8bit signed two's complement binary integer.

type GLclampd = CDouble

64bit floating-point value clamped to [0, 1].

type GLclampf = CFloat

32bit floating-point value clamped to [0, 1].

type GLdouble = CDouble

64bit floating-point value.

type GLenum = CUInt

32bit enumerated binary integer value.

type GLfloat = CFloat

32bit floating-point value.

type GLint = CInt

32bit signed two's complement binary integer.

type GLshort = CShort

16bit signed two's complement binary integer.

type GLsizei = CInt

32bit non-negative binary integer size.

type GLubyte = CUChar

8bit unsigned binary integer.

type GLuint = CUInt

32bit unsigned binary integer.

type GLushort = CUShort

16bit unsigned binary integer.

type GLvoid = ()

Not an actual GL type, though used in headers in the past.

# Enums

gl_2D :: GLenum

gl_2_BYTES :: GLenum

gl_3D :: GLenum

gl_3D_COLOR :: GLenum

gl_3D_COLOR_TEXTURE :: GLenum

gl_3_BYTES :: GLenum

gl_4D_COLOR_TEXTURE :: GLenum

gl_4_BYTES :: GLenum

gl_ACCUM :: GLenum

gl_ACCUM_ALPHA_BITS :: GLenum

gl_ACCUM_BLUE_BITS :: GLenum

gl_ACCUM_BUFFER_BIT :: GLbitfield

gl_ACCUM_CLEAR_VALUE :: GLenum

gl_ACCUM_GREEN_BITS :: GLenum

gl_ACCUM_RED_BITS :: GLenum

gl_ADD :: GLenum

gl_ALL_ATTRIB_BITS :: GLbitfield

gl_ALPHA :: GLenum

gl_ALPHA12 :: GLenum

gl_ALPHA16 :: GLenum

gl_ALPHA4 :: GLenum

gl_ALPHA8 :: GLenum

gl_ALPHA_BIAS :: GLenum

gl_ALPHA_BITS :: GLenum

gl_ALPHA_SCALE :: GLenum

gl_ALPHA_TEST :: GLenum

gl_ALPHA_TEST_FUNC :: GLenum

gl_ALPHA_TEST_REF :: GLenum

gl_ALWAYS :: GLenum

gl_AMBIENT :: GLenum

gl_AMBIENT_AND_DIFFUSE :: GLenum

gl_AND :: GLenum

gl_AND_INVERTED :: GLenum

gl_AND_REVERSE :: GLenum

gl_ATTRIB_STACK_DEPTH :: GLenum

gl_AUTO_NORMAL :: GLenum

gl_AUX0 :: GLenum

gl_AUX1 :: GLenum

gl_AUX2 :: GLenum

gl_AUX3 :: GLenum

gl_AUX_BUFFERS :: GLenum

gl_BACK :: GLenum

gl_BACK_LEFT :: GLenum

gl_BACK_RIGHT :: GLenum

gl_BITMAP :: GLenum

gl_BITMAP_TOKEN :: GLenum

gl_BLEND :: GLenum

gl_BLEND_DST :: GLenum

gl_BLEND_SRC :: GLenum

gl_BLUE :: GLenum

gl_BLUE_BIAS :: GLenum

gl_BLUE_BITS :: GLenum

gl_BLUE_SCALE :: GLenum

gl_BYTE :: GLenum

gl_C3F_V3F :: GLenum

gl_C4F_N3F_V3F :: GLenum

gl_C4UB_V2F :: GLenum

gl_C4UB_V3F :: GLenum

gl_CCW :: GLenum

gl_CLAMP :: GLenum

gl_CLEAR :: GLenum

gl_CLIENT_ALL_ATTRIB_BITS :: GLbitfield

gl_CLIENT_ATTRIB_STACK_DEPTH :: GLenum

gl_CLIENT_PIXEL_STORE_BIT :: GLbitfield

gl_CLIENT_VERTEX_ARRAY_BIT :: GLbitfield

gl_CLIP_PLANE0 :: GLenum

gl_CLIP_PLANE1 :: GLenum

gl_CLIP_PLANE2 :: GLenum

gl_CLIP_PLANE3 :: GLenum

gl_CLIP_PLANE4 :: GLenum

gl_CLIP_PLANE5 :: GLenum

gl_COEFF :: GLenum

gl_COLOR :: GLenum

gl_COLOR_ARRAY :: GLenum

gl_COLOR_ARRAY_POINTER :: GLenum

gl_COLOR_ARRAY_SIZE :: GLenum

gl_COLOR_ARRAY_STRIDE :: GLenum

gl_COLOR_ARRAY_TYPE :: GLenum

gl_COLOR_BUFFER_BIT :: GLbitfield

gl_COLOR_CLEAR_VALUE :: GLenum

gl_COLOR_INDEX :: GLenum

gl_COLOR_INDEXES :: GLenum

gl_COLOR_LOGIC_OP :: GLenum

gl_COLOR_MATERIAL :: GLenum

gl_COLOR_MATERIAL_FACE :: GLenum

gl_COLOR_MATERIAL_PARAMETER :: GLenum

gl_COLOR_WRITEMASK :: GLenum

gl_COMPILE :: GLenum

gl_COMPILE_AND_EXECUTE :: GLenum

gl_CONSTANT_ATTENUATION :: GLenum

gl_COPY :: GLenum

gl_COPY_INVERTED :: GLenum

gl_COPY_PIXEL_TOKEN :: GLenum

gl_CULL_FACE :: GLenum

gl_CULL_FACE_MODE :: GLenum

gl_CURRENT_BIT :: GLbitfield

gl_CURRENT_COLOR :: GLenum

gl_CURRENT_INDEX :: GLenum

gl_CURRENT_NORMAL :: GLenum

gl_CURRENT_RASTER_COLOR :: GLenum

gl_CURRENT_RASTER_DISTANCE :: GLenum

gl_CURRENT_RASTER_INDEX :: GLenum

gl_CURRENT_RASTER_POSITION :: GLenum

gl_CURRENT_RASTER_POSITION_VALID :: GLenum

gl_CURRENT_RASTER_TEXTURE_COORDS :: GLenum

gl_CURRENT_TEXTURE_COORDS :: GLenum

gl_CW :: GLenum

gl_DECAL :: GLenum

gl_DECR :: GLenum

gl_DEPTH :: GLenum

gl_DEPTH_BIAS :: GLenum

gl_DEPTH_BITS :: GLenum

gl_DEPTH_BUFFER_BIT :: GLbitfield

gl_DEPTH_CLEAR_VALUE :: GLenum

gl_DEPTH_COMPONENT :: GLenum

gl_DEPTH_FUNC :: GLenum

gl_DEPTH_RANGE :: GLenum

gl_DEPTH_SCALE :: GLenum

gl_DEPTH_TEST :: GLenum

gl_DEPTH_WRITEMASK :: GLenum

gl_DIFFUSE :: GLenum

gl_DITHER :: GLenum

gl_DOMAIN :: GLenum

gl_DONT_CARE :: GLenum

gl_DOUBLE :: GLenum

gl_DOUBLEBUFFER :: GLenum

gl_DRAW_BUFFER :: GLenum

gl_DRAW_PIXEL_TOKEN :: GLenum

gl_DST_ALPHA :: GLenum

gl_DST_COLOR :: GLenum

gl_EDGE_FLAG :: GLenum

gl_EDGE_FLAG_ARRAY :: GLenum

gl_EDGE_FLAG_ARRAY_POINTER :: GLenum

gl_EDGE_FLAG_ARRAY_STRIDE :: GLenum

gl_EMISSION :: GLenum

gl_ENABLE_BIT :: GLbitfield

gl_EQUAL :: GLenum

gl_EQUIV :: GLenum

gl_EVAL_BIT :: GLbitfield

gl_EXP :: GLenum

gl_EXP2 :: GLenum

gl_EXTENSIONS :: GLenum

gl_EYE_LINEAR :: GLenum

gl_EYE_PLANE :: GLenum

gl_FALSE :: GLenum

gl_FASTEST :: GLenum

gl_FEEDBACK :: GLenum

gl_FEEDBACK_BUFFER_POINTER :: GLenum

gl_FEEDBACK_BUFFER_SIZE :: GLenum

gl_FEEDBACK_BUFFER_TYPE :: GLenum

gl_FILL :: GLenum

gl_FLAT :: GLenum

gl_FLOAT :: GLenum

gl_FOG :: GLenum

gl_FOG_BIT :: GLbitfield

gl_FOG_COLOR :: GLenum

gl_FOG_DENSITY :: GLenum

gl_FOG_END :: GLenum

gl_FOG_HINT :: GLenum

gl_FOG_INDEX :: GLenum

gl_FOG_MODE :: GLenum

gl_FOG_START :: GLenum

gl_FRONT :: GLenum

gl_FRONT_AND_BACK :: GLenum

gl_FRONT_FACE :: GLenum

gl_FRONT_LEFT :: GLenum

gl_FRONT_RIGHT :: GLenum

gl_GEQUAL :: GLenum

gl_GREATER :: GLenum

gl_GREEN :: GLenum

gl_GREEN_BIAS :: GLenum

gl_GREEN_BITS :: GLenum

gl_GREEN_SCALE :: GLenum

gl_HINT_BIT :: GLbitfield

gl_INCR :: GLenum

gl_INDEX_ARRAY :: GLenum

gl_INDEX_ARRAY_POINTER :: GLenum

gl_INDEX_ARRAY_STRIDE :: GLenum

gl_INDEX_ARRAY_TYPE :: GLenum

gl_INDEX_BITS :: GLenum

gl_INDEX_CLEAR_VALUE :: GLenum

gl_INDEX_LOGIC_OP :: GLenum

gl_INDEX_MODE :: GLenum

gl_INDEX_OFFSET :: GLenum

gl_INDEX_SHIFT :: GLenum

gl_INDEX_WRITEMASK :: GLenum

gl_INT :: GLenum

gl_INTENSITY :: GLenum

gl_INTENSITY12 :: GLenum

gl_INTENSITY16 :: GLenum

gl_INTENSITY4 :: GLenum

gl_INTENSITY8 :: GLenum

gl_INVALID_ENUM :: GLenum

gl_INVALID_OPERATION :: GLenum

gl_INVALID_VALUE :: GLenum

gl_INVERT :: GLenum

gl_KEEP :: GLenum

gl_LEFT :: GLenum

gl_LEQUAL :: GLenum

gl_LESS :: GLenum

gl_LIGHT0 :: GLenum

gl_LIGHT1 :: GLenum

gl_LIGHT2 :: GLenum

gl_LIGHT3 :: GLenum

gl_LIGHT4 :: GLenum

gl_LIGHT5 :: GLenum

gl_LIGHT6 :: GLenum

gl_LIGHT7 :: GLenum

gl_LIGHTING :: GLenum

gl_LIGHTING_BIT :: GLbitfield

gl_LIGHT_MODEL_AMBIENT :: GLenum

gl_LIGHT_MODEL_LOCAL_VIEWER :: GLenum

gl_LIGHT_MODEL_TWO_SIDE :: GLenum

gl_LINE :: GLenum

gl_LINEAR :: GLenum

gl_LINEAR_ATTENUATION :: GLenum

gl_LINEAR_MIPMAP_LINEAR :: GLenum

gl_LINEAR_MIPMAP_NEAREST :: GLenum

gl_LINES :: GLenum

gl_LINE_BIT :: GLbitfield

gl_LINE_LOOP :: GLenum

gl_LINE_RESET_TOKEN :: GLenum

gl_LINE_SMOOTH :: GLenum

gl_LINE_SMOOTH_HINT :: GLenum

gl_LINE_STIPPLE :: GLenum

gl_LINE_STIPPLE_PATTERN :: GLenum

gl_LINE_STIPPLE_REPEAT :: GLenum

gl_LINE_STRIP :: GLenum

gl_LINE_TOKEN :: GLenum

gl_LINE_WIDTH :: GLenum

gl_LINE_WIDTH_GRANULARITY :: GLenum

gl_LINE_WIDTH_RANGE :: GLenum

gl_LIST_BASE :: GLenum

gl_LIST_BIT :: GLbitfield

gl_LIST_INDEX :: GLenum

gl_LIST_MODE :: GLenum

gl_LOAD :: GLenum

gl_LOGIC_OP :: GLenum

gl_LOGIC_OP_MODE :: GLenum

gl_LUMINANCE :: GLenum

gl_LUMINANCE12 :: GLenum

gl_LUMINANCE12_ALPHA12 :: GLenum

gl_LUMINANCE12_ALPHA4 :: GLenum

gl_LUMINANCE16 :: GLenum

gl_LUMINANCE16_ALPHA16 :: GLenum

gl_LUMINANCE4 :: GLenum

gl_LUMINANCE4_ALPHA4 :: GLenum

gl_LUMINANCE6_ALPHA2 :: GLenum

gl_LUMINANCE8 :: GLenum

gl_LUMINANCE8_ALPHA8 :: GLenum

gl_LUMINANCE_ALPHA :: GLenum

gl_MAP1_COLOR_4 :: GLenum

gl_MAP1_GRID_DOMAIN :: GLenum

gl_MAP1_GRID_SEGMENTS :: GLenum

gl_MAP1_INDEX :: GLenum

gl_MAP1_NORMAL :: GLenum

gl_MAP1_TEXTURE_COORD_1 :: GLenum

gl_MAP1_TEXTURE_COORD_2 :: GLenum

gl_MAP1_TEXTURE_COORD_3 :: GLenum

gl_MAP1_TEXTURE_COORD_4 :: GLenum

gl_MAP1_VERTEX_3 :: GLenum

gl_MAP1_VERTEX_4 :: GLenum

gl_MAP2_COLOR_4 :: GLenum

gl_MAP2_GRID_DOMAIN :: GLenum

gl_MAP2_GRID_SEGMENTS :: GLenum

gl_MAP2_INDEX :: GLenum

gl_MAP2_NORMAL :: GLenum

gl_MAP2_TEXTURE_COORD_1 :: GLenum

gl_MAP2_TEXTURE_COORD_2 :: GLenum

gl_MAP2_TEXTURE_COORD_3 :: GLenum

gl_MAP2_TEXTURE_COORD_4 :: GLenum

gl_MAP2_VERTEX_3 :: GLenum

gl_MAP2_VERTEX_4 :: GLenum

gl_MAP_COLOR :: GLenum

gl_MAP_STENCIL :: GLenum

gl_MATRIX_MODE :: GLenum

gl_MAX_ATTRIB_STACK_DEPTH :: GLenum

gl_MAX_CLIENT_ATTRIB_STACK_DEPTH :: GLenum

gl_MAX_CLIP_PLANES :: GLenum

gl_MAX_EVAL_ORDER :: GLenum

gl_MAX_LIGHTS :: GLenum

gl_MAX_LIST_NESTING :: GLenum

gl_MAX_MODELVIEW_STACK_DEPTH :: GLenum

gl_MAX_NAME_STACK_DEPTH :: GLenum

gl_MAX_PIXEL_MAP_TABLE :: GLenum

gl_MAX_PROJECTION_STACK_DEPTH :: GLenum

gl_MAX_TEXTURE_SIZE :: GLenum

gl_MAX_TEXTURE_STACK_DEPTH :: GLenum

gl_MAX_VIEWPORT_DIMS :: GLenum

gl_MODELVIEW :: GLenum

gl_MODELVIEW_MATRIX :: GLenum

gl_MODELVIEW_STACK_DEPTH :: GLenum

gl_MODULATE :: GLenum

gl_MULT :: GLenum

gl_N3F_V3F :: GLenum

gl_NAME_STACK_DEPTH :: GLenum

gl_NAND :: GLenum

gl_NEAREST :: GLenum

gl_NEAREST_MIPMAP_LINEAR :: GLenum

gl_NEAREST_MIPMAP_NEAREST :: GLenum

gl_NEVER :: GLenum

gl_NICEST :: GLenum

gl_NONE :: GLenum

gl_NOOP :: GLenum

gl_NOR :: GLenum

gl_NORMALIZE :: GLenum

gl_NORMAL_ARRAY :: GLenum

gl_NORMAL_ARRAY_POINTER :: GLenum

gl_NORMAL_ARRAY_STRIDE :: GLenum

gl_NORMAL_ARRAY_TYPE :: GLenum

gl_NOTEQUAL :: GLenum

gl_NO_ERROR :: GLenum

gl_OBJECT_LINEAR :: GLenum

gl_OBJECT_PLANE :: GLenum

gl_ONE :: GLenum

gl_ONE_MINUS_DST_ALPHA :: GLenum

gl_ONE_MINUS_DST_COLOR :: GLenum

gl_ONE_MINUS_SRC_ALPHA :: GLenum

gl_ONE_MINUS_SRC_COLOR :: GLenum

gl_OR :: GLenum

gl_ORDER :: GLenum

gl_OR_INVERTED :: GLenum

gl_OR_REVERSE :: GLenum

gl_OUT_OF_MEMORY :: GLenum

gl_PACK_ALIGNMENT :: GLenum

gl_PACK_LSB_FIRST :: GLenum

gl_PACK_ROW_LENGTH :: GLenum

gl_PACK_SKIP_PIXELS :: GLenum

gl_PACK_SKIP_ROWS :: GLenum

gl_PACK_SWAP_BYTES :: GLenum

gl_PASS_THROUGH_TOKEN :: GLenum

gl_PERSPECTIVE_CORRECTION_HINT :: GLenum

gl_PIXEL_MAP_A_TO_A :: GLenum

gl_PIXEL_MAP_A_TO_A_SIZE :: GLenum

gl_PIXEL_MAP_B_TO_B :: GLenum

gl_PIXEL_MAP_B_TO_B_SIZE :: GLenum

gl_PIXEL_MAP_G_TO_G :: GLenum

gl_PIXEL_MAP_G_TO_G_SIZE :: GLenum

gl_PIXEL_MAP_I_TO_A :: GLenum

gl_PIXEL_MAP_I_TO_A_SIZE :: GLenum

gl_PIXEL_MAP_I_TO_B :: GLenum

gl_PIXEL_MAP_I_TO_B_SIZE :: GLenum

gl_PIXEL_MAP_I_TO_G :: GLenum

gl_PIXEL_MAP_I_TO_G_SIZE :: GLenum

gl_PIXEL_MAP_I_TO_I :: GLenum

gl_PIXEL_MAP_I_TO_I_SIZE :: GLenum

gl_PIXEL_MAP_I_TO_R :: GLenum

gl_PIXEL_MAP_I_TO_R_SIZE :: GLenum

gl_PIXEL_MAP_R_TO_R :: GLenum

gl_PIXEL_MAP_R_TO_R_SIZE :: GLenum

gl_PIXEL_MAP_S_TO_S :: GLenum

gl_PIXEL_MAP_S_TO_S_SIZE :: GLenum

gl_PIXEL_MODE_BIT :: GLbitfield

gl_POINT :: GLenum

gl_POINTS :: GLenum

gl_POINT_BIT :: GLbitfield

gl_POINT_SIZE :: GLenum

gl_POINT_SIZE_GRANULARITY :: GLenum

gl_POINT_SIZE_RANGE :: GLenum

gl_POINT_SMOOTH :: GLenum

gl_POINT_SMOOTH_HINT :: GLenum

gl_POINT_TOKEN :: GLenum

gl_POLYGON :: GLenum

gl_POLYGON_BIT :: GLbitfield

gl_POLYGON_MODE :: GLenum

gl_POLYGON_OFFSET_FACTOR :: GLenum

gl_POLYGON_OFFSET_FILL :: GLenum

gl_POLYGON_OFFSET_LINE :: GLenum

gl_POLYGON_OFFSET_POINT :: GLenum

gl_POLYGON_OFFSET_UNITS :: GLenum

gl_POLYGON_SMOOTH :: GLenum

gl_POLYGON_SMOOTH_HINT :: GLenum

gl_POLYGON_STIPPLE :: GLenum

gl_POLYGON_STIPPLE_BIT :: GLbitfield

gl_POLYGON_TOKEN :: GLenum

gl_POSITION :: GLenum

gl_PROJECTION :: GLenum

gl_PROJECTION_MATRIX :: GLenum

gl_PROJECTION_STACK_DEPTH :: GLenum

gl_PROXY_TEXTURE_1D :: GLenum

gl_PROXY_TEXTURE_2D :: GLenum

gl_Q :: GLenum

gl_QUADRATIC_ATTENUATION :: GLenum

gl_QUADS :: GLenum

gl_QUAD_STRIP :: GLenum

gl_R :: GLenum

gl_R3_G3_B2 :: GLenum

gl_READ_BUFFER :: GLenum

gl_RED :: GLenum

gl_RED_BIAS :: GLenum

gl_RED_BITS :: GLenum

gl_RED_SCALE :: GLenum

gl_RENDER :: GLenum

gl_RENDERER :: GLenum

gl_RENDER_MODE :: GLenum

gl_REPEAT :: GLenum

gl_REPLACE :: GLenum

gl_RETURN :: GLenum

gl_RGB :: GLenum

gl_RGB10 :: GLenum

gl_RGB10_A2 :: GLenum

gl_RGB12 :: GLenum

gl_RGB16 :: GLenum

gl_RGB4 :: GLenum

gl_RGB5 :: GLenum

gl_RGB5_A1 :: GLenum

gl_RGB8 :: GLenum

gl_RGBA :: GLenum

gl_RGBA12 :: GLenum

gl_RGBA16 :: GLenum

gl_RGBA2 :: GLenum

gl_RGBA4 :: GLenum

gl_RGBA8 :: GLenum

gl_RGBA_MODE :: GLenum

gl_RIGHT :: GLenum

gl_S :: GLenum

gl_SCISSOR_BIT :: GLbitfield

gl_SCISSOR_BOX :: GLenum

gl_SCISSOR_TEST :: GLenum

gl_SELECT :: GLenum

gl_SELECTION_BUFFER_POINTER :: GLenum

gl_SELECTION_BUFFER_SIZE :: GLenum

gl_SET :: GLenum

gl_SHADE_MODEL :: GLenum

gl_SHININESS :: GLenum

gl_SHORT :: GLenum

gl_SMOOTH :: GLenum

gl_SPECULAR :: GLenum

gl_SPHERE_MAP :: GLenum

gl_SPOT_CUTOFF :: GLenum

gl_SPOT_DIRECTION :: GLenum

gl_SPOT_EXPONENT :: GLenum

gl_SRC_ALPHA :: GLenum

gl_SRC_ALPHA_SATURATE :: GLenum

gl_SRC_COLOR :: GLenum

gl_STACK_OVERFLOW :: GLenum

gl_STACK_UNDERFLOW :: GLenum

gl_STENCIL :: GLenum

gl_STENCIL_BITS :: GLenum

gl_STENCIL_BUFFER_BIT :: GLbitfield

gl_STENCIL_CLEAR_VALUE :: GLenum

gl_STENCIL_FAIL :: GLenum

gl_STENCIL_FUNC :: GLenum

gl_STENCIL_INDEX :: GLenum

gl_STENCIL_PASS_DEPTH_FAIL :: GLenum

gl_STENCIL_PASS_DEPTH_PASS :: GLenum

gl_STENCIL_REF :: GLenum

gl_STENCIL_TEST :: GLenum

gl_STENCIL_VALUE_MASK :: GLenum

gl_STENCIL_WRITEMASK :: GLenum

gl_STEREO :: GLenum

gl_SUBPIXEL_BITS :: GLenum

gl_T :: GLenum

gl_T2F_C3F_V3F :: GLenum

gl_T2F_C4F_N3F_V3F :: GLenum

gl_T2F_C4UB_V3F :: GLenum

gl_T2F_N3F_V3F :: GLenum

gl_T2F_V3F :: GLenum

gl_T4F_C4F_N3F_V4F :: GLenum

gl_T4F_V4F :: GLenum

gl_TEXTURE :: GLenum

gl_TEXTURE_1D :: GLenum

gl_TEXTURE_2D :: GLenum

gl_TEXTURE_ALPHA_SIZE :: GLenum

gl_TEXTURE_BINDING_1D :: GLenum

gl_TEXTURE_BINDING_2D :: GLenum

gl_TEXTURE_BIT :: GLbitfield

gl_TEXTURE_BLUE_SIZE :: GLenum

gl_TEXTURE_BORDER :: GLenum

gl_TEXTURE_BORDER_COLOR :: GLenum

gl_TEXTURE_COMPONENTS :: GLenum

gl_TEXTURE_COORD_ARRAY :: GLenum

gl_TEXTURE_COORD_ARRAY_POINTER :: GLenum

gl_TEXTURE_COORD_ARRAY_SIZE :: GLenum

gl_TEXTURE_COORD_ARRAY_STRIDE :: GLenum

gl_TEXTURE_COORD_ARRAY_TYPE :: GLenum

gl_TEXTURE_ENV :: GLenum

gl_TEXTURE_ENV_COLOR :: GLenum

gl_TEXTURE_ENV_MODE :: GLenum

gl_TEXTURE_GEN_MODE :: GLenum

gl_TEXTURE_GEN_Q :: GLenum

gl_TEXTURE_GEN_R :: GLenum

gl_TEXTURE_GEN_S :: GLenum

gl_TEXTURE_GEN_T :: GLenum

gl_TEXTURE_GREEN_SIZE :: GLenum

gl_TEXTURE_HEIGHT :: GLenum

gl_TEXTURE_INTENSITY_SIZE :: GLenum

gl_TEXTURE_INTERNAL_FORMAT :: GLenum

gl_TEXTURE_LUMINANCE_SIZE :: GLenum

gl_TEXTURE_MAG_FILTER :: GLenum

gl_TEXTURE_MATRIX :: GLenum

gl_TEXTURE_MIN_FILTER :: GLenum

gl_TEXTURE_PRIORITY :: GLenum

gl_TEXTURE_RED_SIZE :: GLenum

gl_TEXTURE_RESIDENT :: GLenum

gl_TEXTURE_STACK_DEPTH :: GLenum

gl_TEXTURE_WIDTH :: GLenum

gl_TEXTURE_WRAP_S :: GLenum

gl_TEXTURE_WRAP_T :: GLenum

gl_TRANSFORM_BIT :: GLbitfield

gl_TRIANGLES :: GLenum

gl_TRIANGLE_FAN :: GLenum

gl_TRIANGLE_STRIP :: GLenum

gl_TRUE :: GLenum

gl_UNPACK_ALIGNMENT :: GLenum

gl_UNPACK_LSB_FIRST :: GLenum

gl_UNPACK_ROW_LENGTH :: GLenum

gl_UNPACK_SKIP_PIXELS :: GLenum

gl_UNPACK_SKIP_ROWS :: GLenum

gl_UNPACK_SWAP_BYTES :: GLenum

gl_UNSIGNED_BYTE :: GLenum

gl_UNSIGNED_INT :: GLenum

gl_UNSIGNED_SHORT :: GLenum

gl_V2F :: GLenum

gl_V3F :: GLenum

gl_VENDOR :: GLenum

gl_VERSION :: GLenum

gl_VERTEX_ARRAY :: GLenum

gl_VERTEX_ARRAY_POINTER :: GLenum

gl_VERTEX_ARRAY_SIZE :: GLenum

gl_VERTEX_ARRAY_STRIDE :: GLenum

gl_VERTEX_ARRAY_TYPE :: GLenum

gl_VIEWPORT :: GLenum

gl_VIEWPORT_BIT :: GLbitfield

gl_XOR :: GLenum

gl_ZERO :: GLenum

gl_ZOOM_X :: GLenum

gl_ZOOM_Y :: GLenum

# Functions

glAccum

Arguments

:: MonadIO m |
=> GLenum | `op` of type AccumOp.
-> GLfloat | `value` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glAlphaFunc

Arguments

:: MonadIO m |
=> GLenum | `func` of type AlphaFunction.
-> GLfloat | `ref`.
-> m () |

Manual page for OpenGL 2.x.

glAreTexturesResident

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> Ptr GLboolean | `residences` pointing to `n` elements of type Boolean.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 2.x.

glArrayElement

Arguments

:: MonadIO m |
=> GLint | `i`.
-> m () |

Manual page for OpenGL 2.x.

glBegin

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> m () |

Manual page for OpenGL 2.x.

glBindTexture

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `texture` of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBitmap

Arguments

:: MonadIO m |
=> GLsizei | `width`.
-> GLsizei | `height`.
-> GLfloat | `xorig` of type `CoordF`.
-> GLfloat | `yorig` of type `CoordF`.
-> GLfloat | `xmove` of type `CoordF`.
-> GLfloat | `ymove` of type `CoordF`.
-> Ptr GLubyte | `bitmap` pointing to `COMPSIZE(width,height)` elements of type `GLubyte`.
-> m () |

Manual page for OpenGL 2.x.

glBlendFunc

Arguments

:: MonadIO m |
=> GLenum | `sfactor` of type BlendingFactorSrc.
-> GLenum | `dfactor` of type BlendingFactorDest.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCallList

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> m () |

Manual page for OpenGL 2.x.

glCallLists

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> GLenum | `type` of type ListNameType.
-> Ptr a | `lists` pointing to `COMPSIZE(n,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glClear

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClearBufferMask.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearAccum

Arguments

:: MonadIO m |
=> GLfloat | `red`.
-> GLfloat | `green`.
-> GLfloat | `blue`.
-> GLfloat | `alpha`.
-> m () |

Manual page for OpenGL 2.x.

glClearColor

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearDepth

Arguments

:: MonadIO m |
=> GLdouble | `depth`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClearIndex

Arguments

:: MonadIO m |
=> GLfloat | `c` of type `MaskedColorIndexValueF`.
-> m () |

Manual page for OpenGL 2.x.

glClearStencil

Arguments

:: MonadIO m |
=> GLint | `s` of type `StencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glClipPlane

Arguments

:: MonadIO m |
=> GLenum | `plane` of type ClipPlaneName.
-> Ptr GLdouble | `equation` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glColor3b

Arguments

:: MonadIO m |
=> GLbyte | `red` of type `ColorB`.
-> GLbyte | `green` of type `ColorB`.
-> GLbyte | `blue` of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3bv`.

glColor3bv

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x.

glColor3d

Arguments

:: MonadIO m |
=> GLdouble | `red` of type `ColorD`.
-> GLdouble | `green` of type `ColorD`.
-> GLdouble | `blue` of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3dv`.

glColor3dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x.

glColor3f

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3fv`.

glColor3fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x.

glColor3i

Arguments

:: MonadIO m |
=> GLint | `red` of type `ColorI`.
-> GLint | `green` of type `ColorI`.
-> GLint | `blue` of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3iv`.

glColor3iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x.

glColor3s

Arguments

:: MonadIO m |
=> GLshort | `red` of type `ColorS`.
-> GLshort | `green` of type `ColorS`.
-> GLshort | `blue` of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3sv`.

glColor3sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x.

glColor3ub

Arguments

:: MonadIO m |
=> GLubyte | `red` of type `ColorUB`.
-> GLubyte | `green` of type `ColorUB`.
-> GLubyte | `blue` of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3ubv`.

glColor3ubv

Arguments

:: MonadIO m |
=> Ptr GLubyte | `v` pointing to `3` elements of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x.

glColor3ui

Arguments

:: MonadIO m |
=> GLuint | `red` of type `ColorUI`.
-> GLuint | `green` of type `ColorUI`.
-> GLuint | `blue` of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3uiv`.

glColor3uiv

Arguments

:: MonadIO m |
=> Ptr GLuint | `v` pointing to `3` elements of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x.

glColor3us

Arguments

:: MonadIO m |
=> GLushort | `red` of type `ColorUS`.
-> GLushort | `green` of type `ColorUS`.
-> GLushort | `blue` of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor3usv`.

glColor3usv

Arguments

:: MonadIO m |
=> Ptr GLushort | `v` pointing to `3` elements of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x.

glColor4b

Arguments

:: MonadIO m |
=> GLbyte | `red` of type `ColorB`.
-> GLbyte | `green` of type `ColorB`.
-> GLbyte | `blue` of type `ColorB`.
-> GLbyte | `alpha` of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4bv`.

glColor4bv

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `4` elements of type `ColorB`.
-> m () |

Manual page for OpenGL 2.x.

glColor4d

Arguments

:: MonadIO m |
=> GLdouble | `red` of type `ColorD`.
-> GLdouble | `green` of type `ColorD`.
-> GLdouble | `blue` of type `ColorD`.
-> GLdouble | `alpha` of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4dv`.

glColor4dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `ColorD`.
-> m () |

Manual page for OpenGL 2.x.

glColor4f

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4fv`.

glColor4fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `ColorF`.
-> m () |

Manual page for OpenGL 2.x.

glColor4i

Arguments

:: MonadIO m |
=> GLint | `red` of type `ColorI`.
-> GLint | `green` of type `ColorI`.
-> GLint | `blue` of type `ColorI`.
-> GLint | `alpha` of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4iv`.

glColor4iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `ColorI`.
-> m () |

Manual page for OpenGL 2.x.

glColor4s

Arguments

:: MonadIO m |
=> GLshort | `red` of type `ColorS`.
-> GLshort | `green` of type `ColorS`.
-> GLshort | `blue` of type `ColorS`.
-> GLshort | `alpha` of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4sv`.

glColor4sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `ColorS`.
-> m () |

Manual page for OpenGL 2.x.

glColor4ub

Arguments

:: MonadIO m |
=> GLubyte | `red` of type `ColorUB`.
-> GLubyte | `green` of type `ColorUB`.
-> GLubyte | `blue` of type `ColorUB`.
-> GLubyte | `alpha` of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4ubv`.

glColor4ubv

Arguments

:: MonadIO m |
=> Ptr GLubyte | `v` pointing to `4` elements of type `ColorUB`.
-> m () |

Manual page for OpenGL 2.x.

glColor4ui

Arguments

:: MonadIO m |
=> GLuint | `red` of type `ColorUI`.
-> GLuint | `green` of type `ColorUI`.
-> GLuint | `blue` of type `ColorUI`.
-> GLuint | `alpha` of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4uiv`.

glColor4uiv

Arguments

:: MonadIO m |
=> Ptr GLuint | `v` pointing to `4` elements of type `ColorUI`.
-> m () |

Manual page for OpenGL 2.x.

glColor4us

Arguments

:: MonadIO m |
=> GLushort | `red` of type `ColorUS`.
-> GLushort | `green` of type `ColorUS`.
-> GLushort | `blue` of type `ColorUS`.
-> GLushort | `alpha` of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glColor4usv`.

glColor4usv

Arguments

:: MonadIO m |
=> Ptr GLushort | `v` pointing to `4` elements of type `ColorUS`.
-> m () |

Manual page for OpenGL 2.x.

glColorMask

Arguments

:: MonadIO m |
=> GLboolean | `red` of type Boolean.
-> GLboolean | `green` of type Boolean.
-> GLboolean | `blue` of type Boolean.
-> GLboolean | `alpha` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glColorMaterial

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type ColorMaterialParameter.
-> m () |

Manual page for OpenGL 2.x.

glColorPointer

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glCopyPixels

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `type` of type PixelCopyType.
-> m () |

Manual page for OpenGL 2.x.

glCopyTexImage1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexImage2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCopyTexSubImage2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glCullFace

Arguments

:: MonadIO m |
=> GLenum | `mode` of type CullFaceMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDeleteLists

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLsizei | `range`.
-> m () |

Manual page for OpenGL 2.x.

glDeleteTextures

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthFunc

Arguments

:: MonadIO m |
=> GLenum | `func` of type DepthFunction.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthMask

Arguments

:: MonadIO m |
=> GLboolean | `flag` of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDepthRange

Arguments

:: MonadIO m |
=> GLdouble | `near`.
-> GLdouble | `far`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisable

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDisableClientState

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> m () |

Manual page for OpenGL 2.x.

glDrawArrays

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLint | `first`.
-> GLsizei | `count`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawBuffer

Arguments

:: MonadIO m |
=> GLenum | `buf` of type DrawBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawElements

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLsizei | `count`.
-> GLenum | `type` of type `DrawElementsType`.
-> Ptr a | `indices` pointing to `COMPSIZE(count,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glDrawPixels

Arguments

:: MonadIO m |
=> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glEdgeFlag

Arguments

:: MonadIO m |
=> GLboolean | `flag` of type Boolean.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEdgeFlagv`.

glEdgeFlagPointer

Arguments

:: MonadIO m |
=> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glEdgeFlagv

Arguments

:: MonadIO m |
=> Ptr GLboolean | `flag` pointing to `1` element of type Boolean.
-> m () |

Manual page for OpenGL 2.x.

glEnable

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glEnableClientState

Arguments

:: MonadIO m |
=> GLenum | `array` of type EnableCap.
-> m () |

Manual page for OpenGL 2.x.

glEnd :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glEndList :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glEvalCoord1d

Arguments

:: MonadIO m |
=> GLdouble | `u` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord1dv`.

glEvalCoord1dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `u` pointing to `1` element of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glEvalCoord1f

Arguments

:: MonadIO m |
=> GLfloat | `u` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord1fv`.

glEvalCoord1fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `u` pointing to `1` element of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glEvalCoord2d

Arguments

:: MonadIO m |
=> GLdouble | `u` of type `CoordD`.
-> GLdouble | `v` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord2dv`.

glEvalCoord2dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `u` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glEvalCoord2f

Arguments

:: MonadIO m |
=> GLfloat | `u` of type `CoordF`.
-> GLfloat | `v` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glEvalCoord2fv`.

glEvalCoord2fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `u` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glEvalMesh1

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MeshMode1.
-> GLint | `i1` of type `CheckedInt32`.
-> GLint | `i2` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glEvalMesh2

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MeshMode2.
-> GLint | `i1` of type `CheckedInt32`.
-> GLint | `i2` of type `CheckedInt32`.
-> GLint | `j1` of type `CheckedInt32`.
-> GLint | `j2` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glEvalPoint1

Arguments

:: MonadIO m |
=> GLint | `i`.
-> m () |

Manual page for OpenGL 2.x.

glEvalPoint2

Arguments

:: MonadIO m |
=> GLint | `i` of type `CheckedInt32`.
-> GLint | `j` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glFeedbackBuffer

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> GLenum | `type` of type FeedbackType.
-> Ptr GLfloat | `buffer` pointing to `size` elements of type `FeedbackElement`.
-> m () |

Manual page for OpenGL 2.x.

glFinish :: MonadIO m => m ()

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFlush :: MonadIO m => m ()

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFogf

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glFogfv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glFogi

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glFogiv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type FogParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glFrontFace

Arguments

:: MonadIO m |
=> GLenum | `mode` of type FrontFaceDirection.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glFrustum

Arguments

:: MonadIO m |
=> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

Manual page for OpenGL 2.x.

glGenLists

Arguments

:: MonadIO m |
=> GLsizei | `range`.
-> m GLuint | of type `List`.

Manual page for OpenGL 2.x.

glGenTextures

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetBooleanv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLboolean | `data` pointing to `COMPSIZE(pname)` elements of type Boolean.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetClipPlane

Arguments

:: MonadIO m |
=> GLenum | `plane` of type ClipPlaneName.
-> Ptr GLdouble | `equation` pointing to `4` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glGetDoublev

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLdouble | `data` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetError

Arguments

:: MonadIO m |
=> m GLenum | of type ErrorCode.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetFloatv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLfloat | `data` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetIntegerv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPName.
-> Ptr GLint | `data` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetLightfv

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetLightiv

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetMapdv

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLdouble | `v` pointing to `COMPSIZE(target,query)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glGetMapfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLfloat | `v` pointing to `COMPSIZE(target,query)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetMapiv

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLenum | `query` of type GetMapQuery.
-> Ptr GLint | `v` pointing to `COMPSIZE(target,query)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetMaterialfv

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetMaterialiv

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetPixelMapfv

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> Ptr GLfloat | `values` pointing to `COMPSIZE(map)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetPixelMapuiv

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> Ptr GLuint | `values` pointing to `COMPSIZE(map)` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 2.x.

glGetPixelMapusv

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> Ptr GLushort | `values` pointing to `COMPSIZE(map)` elements of type `GLushort`.
-> m () |

Manual page for OpenGL 2.x.

glGetPointerv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPointervPName.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 4.x.

glGetPolygonStipple

Arguments

:: MonadIO m |
=> Ptr GLubyte | `mask` pointing to `COMPSIZE()` elements of type `GLubyte`.
-> m () |

Manual page for OpenGL 2.x.

glGetString

Arguments

:: MonadIO m |
=> GLenum | `name` of type StringName.
-> m (Ptr GLubyte) | pointing to elements of type `String`.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexEnvfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexEnviv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexGendv

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexGenfv

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexGeniv

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetTexImage

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(target,level,format,type)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexLevelParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexLevelParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glGetTexParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glHint

Arguments

:: MonadIO m |
=> GLenum | `target` of type HintTarget.
-> GLenum | `mode` of type HintMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIndexMask

Arguments

:: MonadIO m |
=> GLuint | `mask` of type `MaskedColorIndexValueI`.
-> m () |

Manual page for OpenGL 2.x.

glIndexPointer

Arguments

:: MonadIO m |
=> GLenum | `type` of type IndexPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glIndexd

Arguments

:: MonadIO m |
=> GLdouble | `c` of type `ColorIndexValueD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexdv`.

glIndexdv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `c` pointing to `1` element of type `ColorIndexValueD`.
-> m () |

Manual page for OpenGL 2.x.

glIndexf

Arguments

:: MonadIO m |
=> GLfloat | `c` of type `ColorIndexValueF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexfv`.

glIndexfv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `c` pointing to `1` element of type `ColorIndexValueF`.
-> m () |

Manual page for OpenGL 2.x.

glIndexi

Arguments

:: MonadIO m |
=> GLint | `c` of type `ColorIndexValueI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexiv`.

glIndexiv

Arguments

:: MonadIO m |
=> Ptr GLint | `c` pointing to `1` element of type `ColorIndexValueI`.
-> m () |

Manual page for OpenGL 2.x.

glIndexs

Arguments

:: MonadIO m |
=> GLshort | `c` of type `ColorIndexValueS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexsv`.

glIndexsv

Arguments

:: MonadIO m |
=> Ptr GLshort | `c` pointing to `1` element of type `ColorIndexValueS`.
-> m () |

Manual page for OpenGL 2.x.

glIndexub

Arguments

:: MonadIO m |
=> GLubyte | `c` of type `ColorIndexValueUB`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glIndexubv`.

glIndexubv

Arguments

:: MonadIO m |
=> Ptr GLubyte | `c` pointing to `1` element of type `ColorIndexValueUB`.
-> m () |

Manual page for OpenGL 2.x.

glInitNames :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glInterleavedArrays

Arguments

:: MonadIO m |
=> GLenum | `format` of type InterleavedArrayFormat.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(format,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glIsEnabled

Arguments

:: MonadIO m |
=> GLenum | `cap` of type EnableCap.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glIsList

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> m GLboolean | of type Boolean.

Manual page for OpenGL 2.x.

glIsTexture

Arguments

:: MonadIO m |
=> GLuint | `texture` of type `Texture`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glLightModelf

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> GLfloat | `param`.
-> m () |

Manual page for OpenGL 2.x.

glLightModelfv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glLightModeli

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 2.x.

glLightModeliv

Arguments

:: MonadIO m |
=> GLenum | `pname` of type LightModelParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glLightf

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glLightfv

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glLighti

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glLightiv

Arguments

:: MonadIO m |
=> GLenum | `light` of type LightName.
-> GLenum | `pname` of type LightParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glLineStipple

Arguments

:: MonadIO m |
=> GLint | `factor` of type `CheckedInt32`.
-> GLushort | `pattern` of type `LineStipple`.
-> m () |

Manual page for OpenGL 2.x.

glLineWidth

Arguments

:: MonadIO m |
=> GLfloat | `width` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glListBase

Arguments

:: MonadIO m |
=> GLuint | `base` of type `List`.
-> m () |

Manual page for OpenGL 2.x.

glLoadIdentity :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glLoadMatrixd

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glLoadMatrixf

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glLoadName

Arguments

:: MonadIO m |
=> GLuint | `name` of type `SelectName`.
-> m () |

Manual page for OpenGL 2.x.

glLogicOp

Arguments

:: MonadIO m |
=> GLenum | `opcode` of type LogicOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glMap1d

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `stride`.
-> GLint | `order` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(target,stride,order)` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMap1f

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `stride`.
-> GLint | `order` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target,stride,order)` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMap2d

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLdouble | `v1` of type `CoordD`.
-> GLdouble | `v2` of type `CoordD`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(target,ustride,uorder,vstride,vorder)` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMap2f

Arguments

:: MonadIO m |
=> GLenum | `target` of type MapTarget.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLfloat | `v1` of type `CoordF`.
-> GLfloat | `v2` of type `CoordF`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(target,ustride,uorder,vstride,vorder)` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid1d

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid1f

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid2d

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `vn`.
-> GLdouble | `v1` of type `CoordD`.
-> GLdouble | `v2` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glMapGrid2f

Arguments

:: MonadIO m |
=> GLint | `un`.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `vn`.
-> GLfloat | `v1` of type `CoordF`.
-> GLfloat | `v2` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glMaterialf

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glMaterialfv

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glMateriali

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glMaterialiv

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `pname` of type MaterialParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glMatrixMode

Arguments

:: MonadIO m |
=> GLenum | `mode` of type MatrixMode.
-> m () |

Manual page for OpenGL 2.x.

glMultMatrixd

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glMultMatrixf

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glNewList

Arguments

:: MonadIO m |
=> GLuint | `list` of type `List`.
-> GLenum | `mode` of type ListMode.
-> m () |

Manual page for OpenGL 2.x.

glNormal3b

Arguments

:: MonadIO m |
=> GLbyte | `nx`.
-> GLbyte | `ny`.
-> GLbyte | `nz`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3bv`.

glNormal3bv

Arguments

:: MonadIO m |
=> Ptr GLbyte | `v` pointing to `3` elements of type `GLbyte`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3d

Arguments

:: MonadIO m |
=> GLdouble | `nx` of type `CoordD`.
-> GLdouble | `ny` of type `CoordD`.
-> GLdouble | `nz` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3dv`.

glNormal3dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3f

Arguments

:: MonadIO m |
=> GLfloat | `nx` of type `CoordF`.
-> GLfloat | `ny` of type `CoordF`.
-> GLfloat | `nz` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3fv`.

glNormal3fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3i

Arguments

:: MonadIO m |
=> GLint | `nx`.
-> GLint | `ny`.
-> GLint | `nz`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3iv`.

glNormal3iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glNormal3s

Arguments

:: MonadIO m |
=> GLshort | `nx`.
-> GLshort | `ny`.
-> GLshort | `nz`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glNormal3sv`.

glNormal3sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `GLshort`.
-> m () |

Manual page for OpenGL 2.x.

glNormalPointer

Arguments

:: MonadIO m |
=> GLenum | `type` of type NormalPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glOrtho

Arguments

:: MonadIO m |
=> GLdouble | `left`.
-> GLdouble | `right`.
-> GLdouble | `bottom`.
-> GLdouble | `top`.
-> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |

Manual page for OpenGL 2.x.

glPassThrough

Arguments

:: MonadIO m |
=> GLfloat | `token` of type `FeedbackElement`.
-> m () |

Manual page for OpenGL 2.x.

glPixelMapfv

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLsizei | `mapsize` of type `CheckedInt32`.
-> Ptr GLfloat | `values` pointing to `mapsize` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glPixelMapuiv

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLsizei | `mapsize` of type `CheckedInt32`.
-> Ptr GLuint | `values` pointing to `mapsize` elements of type `GLuint`.
-> m () |

Manual page for OpenGL 2.x.

glPixelMapusv

Arguments

:: MonadIO m |
=> GLenum | `map` of type PixelMap.
-> GLsizei | `mapsize` of type `CheckedInt32`.
-> Ptr GLushort | `values` pointing to `mapsize` elements of type `GLushort`.
-> m () |

Manual page for OpenGL 2.x.

glPixelStoref

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPixelStorei

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelStoreParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPixelTransferf

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTransferParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glPixelTransferi

Arguments

:: MonadIO m |
=> GLenum | `pname` of type PixelTransferParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glPixelZoom

Arguments

:: MonadIO m |
=> GLfloat | `xfactor`.
-> GLfloat | `yfactor`.
-> m () |

Manual page for OpenGL 2.x.

glPointSize

Arguments

:: MonadIO m |
=> GLfloat | `size` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonMode

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type PolygonMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonOffset

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> GLfloat | `units`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glPolygonStipple

Arguments

:: MonadIO m |
=> Ptr GLubyte | `mask` pointing to `COMPSIZE()` elements of type `GLubyte`.
-> m () |

Manual page for OpenGL 2.x.

glPopAttrib :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glPopClientAttrib :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glPopMatrix :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glPopName :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glPrioritizeTextures

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `textures` pointing to `n` elements of type `Texture`.
-> Ptr GLfloat | `priorities` pointing to `n` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glPushAttrib

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type AttribMask.
-> m () |

Manual page for OpenGL 2.x.

glPushClientAttrib

Arguments

:: MonadIO m |
=> GLbitfield | `mask` of type ClientAttribMask.
-> m () |

Manual page for OpenGL 2.x.

glPushMatrix :: MonadIO m => m ()

Manual page for OpenGL 2.x.

glPushName

Arguments

:: MonadIO m |
=> GLuint | `name` of type `SelectName`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2d

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2dv`.

glRasterPos2dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2f

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2fv`.

glRasterPos2fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2i

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2iv`.

glRasterPos2iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos2s

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos2sv`.

glRasterPos2sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3d

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3dv`.

glRasterPos3dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3f

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3fv`.

glRasterPos3fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3i

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3iv`.

glRasterPos3iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos3s

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos3sv`.

glRasterPos3sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4d

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> GLdouble | `w` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4dv`.

glRasterPos4dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4f

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> GLfloat | `w` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4fv`.

glRasterPos4fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4i

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> GLint | `w` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4iv`.

glRasterPos4iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRasterPos4s

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> GLshort | `w` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRasterPos4sv`.

glRasterPos4sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glReadBuffer

Arguments

:: MonadIO m |
=> GLenum | `src` of type ReadBufferMode.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glReadPixels

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glRectd

Arguments

:: MonadIO m |
=> GLdouble | `x1` of type `CoordD`.
-> GLdouble | `y1` of type `CoordD`.
-> GLdouble | `x2` of type `CoordD`.
-> GLdouble | `y2` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectdv`.

glRectdv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v1` pointing to `2` elements of type `CoordD`.
-> Ptr GLdouble | `v2` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glRectf

Arguments

:: MonadIO m |
=> GLfloat | `x1` of type `CoordF`.
-> GLfloat | `y1` of type `CoordF`.
-> GLfloat | `x2` of type `CoordF`.
-> GLfloat | `y2` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectfv`.

glRectfv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v1` pointing to `2` elements of type `CoordF`.
-> Ptr GLfloat | `v2` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glRecti

Arguments

:: MonadIO m |
=> GLint | `x1` of type `CoordI`.
-> GLint | `y1` of type `CoordI`.
-> GLint | `x2` of type `CoordI`.
-> GLint | `y2` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectiv`.

glRectiv

Arguments

:: MonadIO m |
=> Ptr GLint | `v1` pointing to `2` elements of type `CoordI`.
-> Ptr GLint | `v2` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glRects

Arguments

:: MonadIO m |
=> GLshort | `x1` of type `CoordS`.
-> GLshort | `y1` of type `CoordS`.
-> GLshort | `x2` of type `CoordS`.
-> GLshort | `y2` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glRectsv`.

glRectsv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v1` pointing to `2` elements of type `CoordS`.
-> Ptr GLshort | `v2` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glRenderMode

Arguments

:: MonadIO m |
=> GLenum | `mode` of type RenderingMode.
-> m GLint |

Manual page for OpenGL 2.x.

glRotated

Arguments

:: MonadIO m |
=> GLdouble | `angle`.
-> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 2.x.

glRotatef

Arguments

:: MonadIO m |
=> GLfloat | `angle`.
-> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual page for OpenGL 2.x.

glScaled

Arguments

:: MonadIO m |
=> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 2.x.

glScalef

Arguments

:: MonadIO m |
=> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual page for OpenGL 2.x.

glScissor

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glSelectBuffer

Arguments

:: MonadIO m |
=> GLsizei | `size`.
-> Ptr GLuint | `buffer` pointing to `size` elements of type `SelectName`.
-> m () |

Manual page for OpenGL 2.x.

glShadeModel

Arguments

:: MonadIO m |
=> GLenum | `mode` of type ShadingModel.
-> m () |

Manual page for OpenGL 2.x.

glStencilFunc

Arguments

:: MonadIO m |
=> GLenum | `func` of type StencilFunction.
-> GLint | `ref` of type `StencilValue`.
-> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilMask

Arguments

:: MonadIO m |
=> GLuint | `mask` of type `MaskedStencilValue`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glStencilOp

Arguments

:: MonadIO m |
=> GLenum | `fail` of type StencilOp.
-> GLenum | `zfail` of type StencilOp.
-> GLenum | `zpass` of type StencilOp.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexCoord1d

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1dv`.

glTexCoord1dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `1` element of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord1f

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1fv`.

glTexCoord1fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `1` element of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord1i

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1iv`.

glTexCoord1iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `1` element of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord1s

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord1sv`.

glTexCoord1sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `1` element of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2d

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2dv`.

glTexCoord2dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2f

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2fv`.

glTexCoord2fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2i

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2iv`.

glTexCoord2iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord2s

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord2sv`.

glTexCoord2sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3d

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3dv`.

glTexCoord3dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3f

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3fv`.

glTexCoord3fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3i

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3iv`.

glTexCoord3iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord3s

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord3sv`.

glTexCoord3sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4d

Arguments

:: MonadIO m |
=> GLdouble | `s` of type `CoordD`.
-> GLdouble | `t` of type `CoordD`.
-> GLdouble | `r` of type `CoordD`.
-> GLdouble | `q` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4dv`.

glTexCoord4dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4f

Arguments

:: MonadIO m |
=> GLfloat | `s` of type `CoordF`.
-> GLfloat | `t` of type `CoordF`.
-> GLfloat | `r` of type `CoordF`.
-> GLfloat | `q` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4fv`.

glTexCoord4fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4i

Arguments

:: MonadIO m |
=> GLint | `s` of type `CoordI`.
-> GLint | `t` of type `CoordI`.
-> GLint | `r` of type `CoordI`.
-> GLint | `q` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4iv`.

glTexCoord4iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoord4s

Arguments

:: MonadIO m |
=> GLshort | `s` of type `CoordS`.
-> GLshort | `t` of type `CoordS`.
-> GLshort | `r` of type `CoordS`.
-> GLshort | `q` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glTexCoord4sv`.

glTexCoord4sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glTexCoordPointer

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnvf

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnvfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnvi

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexEnviv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureEnvTarget.
-> GLenum | `pname` of type TextureEnvParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGend

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLdouble | `param`.
-> m () |

Manual page for OpenGL 2.x.

glTexGendv

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLdouble | `params` pointing to `COMPSIZE(pname)` elements of type `GLdouble`.
-> m () |

Manual page for OpenGL 2.x.

glTexGenf

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGenfv

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGeni

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexGeniv

Arguments

:: MonadIO m |
=> GLenum | `coord` of type TextureCoordName.
-> GLenum | `pname` of type TextureGenParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glTexImage1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type `TextureComponentCount`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexImage2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `internalformat` of type `TextureComponentCount`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameterf

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLfloat | `param` of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameteri

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> GLint | `param` of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTexSubImage2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `pixels` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glTranslated

Arguments

:: MonadIO m |
=> GLdouble | `x`.
-> GLdouble | `y`.
-> GLdouble | `z`.
-> m () |

Manual page for OpenGL 2.x.

glTranslatef

Arguments

:: MonadIO m |
=> GLfloat | `x`.
-> GLfloat | `y`.
-> GLfloat | `z`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2d

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2dv`.

glVertex2dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `2` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2f

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2fv`.

glVertex2fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `2` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2i

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2iv`.

glVertex2iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `2` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glVertex2s

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex2sv`.

glVertex2sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `2` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3d

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3dv`.

glVertex3dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `3` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3f

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3fv`.

glVertex3fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `3` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3i

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3iv`.

glVertex3iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `3` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glVertex3s

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex3sv`.

glVertex3sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `3` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4d

Arguments

:: MonadIO m |
=> GLdouble | `x` of type `CoordD`.
-> GLdouble | `y` of type `CoordD`.
-> GLdouble | `z` of type `CoordD`.
-> GLdouble | `w` of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4dv`.

glVertex4dv

Arguments

:: MonadIO m |
=> Ptr GLdouble | `v` pointing to `4` elements of type `CoordD`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4f

Arguments

:: MonadIO m |
=> GLfloat | `x` of type `CoordF`.
-> GLfloat | `y` of type `CoordF`.
-> GLfloat | `z` of type `CoordF`.
-> GLfloat | `w` of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4fv`.

glVertex4fv

Arguments

:: MonadIO m |
=> Ptr GLfloat | `v` pointing to `4` elements of type `CoordF`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4i

Arguments

:: MonadIO m |
=> GLint | `x` of type `CoordI`.
-> GLint | `y` of type `CoordI`.
-> GLint | `z` of type `CoordI`.
-> GLint | `w` of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4iv`.

glVertex4iv

Arguments

:: MonadIO m |
=> Ptr GLint | `v` pointing to `4` elements of type `CoordI`.
-> m () |

Manual page for OpenGL 2.x.

glVertex4s

Arguments

:: MonadIO m |
=> GLshort | `x` of type `CoordS`.
-> GLshort | `y` of type `CoordS`.
-> GLshort | `z` of type `CoordS`.
-> GLshort | `w` of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x. The vector equivalent of this command is `glVertex4sv`.

glVertex4sv

Arguments

:: MonadIO m |
=> Ptr GLshort | `v` pointing to `4` elements of type `CoordS`.
-> m () |

Manual page for OpenGL 2.x.

glVertexPointer

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glViewport

Arguments

:: MonadIO m |
=> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.